"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.AppRegistry = void 0;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var RegistryImpl =
/*#__PURE__*/
function () {
  function RegistryImpl() {
    _classCallCheck(this, RegistryImpl);

    _defineProperty(this, "componentRegistry", {});

    _defineProperty(this, "rawRegistry", {});
  }

  _createClass(RegistryImpl, [{
    key: "registerComponent",
    value: function registerComponent(name, component) {
      var metadata = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {
        defaultProp: 'data'
      };
      // allow re-register component for hot-reloading
      this.componentRegistry[name] = {
        component: component,
        metadata: metadata
      };
    }
  }, {
    key: "getComponent",
    value: function getComponent(name) {
      if (!this.componentRegistry[name]) {
        return undefined;
      }

      return this.componentRegistry[name];
    }
  }, {
    key: "registerRawComponent",
    value: function registerRawComponent(name, rawContent) {
      var metadata = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {
        defaultProp: 'data'
      };

      if (this.rawRegistry[name]) {
        throw new Error("Component is registered: ".concat(name));
      }

      this.rawRegistry[name] = {
        rawContent: rawContent,
        metadata: metadata
      };
    }
  }, {
    key: "getRawComponent",
    value: function getRawComponent(name) {
      if (!this.rawRegistry[name]) {
        return undefined;
      }

      return this.rawRegistry[name];
    }
  }]);

  return RegistryImpl;
}();

var AppRegistry = new RegistryImpl();
exports.AppRegistry = AppRegistry;
var _default = AppRegistry;
exports.default = _default;