"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.QQuickPlatformFileDialog_FileMode = exports.QQuickPlatformDialog_StandardCode = exports.QPlatformDialogHelper_ButtonRole = exports.QPlatformDialogHelper_StandardButtons = void 0;
// script: generateTypes, version: 0.3
// dependencies
var QPlatformDialogHelper_StandardButtons;
exports.QPlatformDialogHelper_StandardButtons = QPlatformDialogHelper_StandardButtons;

(function (QPlatformDialogHelper_StandardButtons) {
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["NoButton"] = 0] = "NoButton";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["Ok"] = 1024] = "Ok";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["Save"] = 2048] = "Save";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["SaveAll"] = 4096] = "SaveAll";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["Open"] = 8192] = "Open";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["Yes"] = 16384] = "Yes";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["YesToAll"] = 32768] = "YesToAll";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["No"] = 65536] = "No";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["NoToAll"] = 131072] = "NoToAll";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["Abort"] = 262144] = "Abort";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["Retry"] = 524288] = "Retry";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["Ignore"] = 1048576] = "Ignore";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["Close"] = 2097152] = "Close";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["Cancel"] = 4194304] = "Cancel";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["Discard"] = 8388608] = "Discard";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["Help"] = 16777216] = "Help";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["Apply"] = 33554432] = "Apply";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["Reset"] = 67108864] = "Reset";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["RestoreDefaults"] = 134217728] = "RestoreDefaults";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["FirstButton"] = 1024] = "FirstButton";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["LastButton"] = 134217728] = "LastButton";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["LowestBit"] = 10] = "LowestBit";
  QPlatformDialogHelper_StandardButtons[QPlatformDialogHelper_StandardButtons["HighestBit"] = 27] = "HighestBit";
})(QPlatformDialogHelper_StandardButtons || (exports.QPlatformDialogHelper_StandardButtons = QPlatformDialogHelper_StandardButtons = {}));

var QPlatformDialogHelper_ButtonRole;
exports.QPlatformDialogHelper_ButtonRole = QPlatformDialogHelper_ButtonRole;

(function (QPlatformDialogHelper_ButtonRole) {
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["InvalidRole"] = -1] = "InvalidRole";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["AcceptRole"] = 0] = "AcceptRole";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["RejectRole"] = 1] = "RejectRole";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["DestructiveRole"] = 2] = "DestructiveRole";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["ActionRole"] = 3] = "ActionRole";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["HelpRole"] = 4] = "HelpRole";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["YesRole"] = 5] = "YesRole";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["NoRole"] = 6] = "NoRole";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["ResetRole"] = 7] = "ResetRole";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["ApplyRole"] = 8] = "ApplyRole";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["NRoles"] = 9] = "NRoles";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["RoleMask"] = 268435455] = "RoleMask";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["AlternateRole"] = 268435456] = "AlternateRole";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["Stretch"] = 536870912] = "Stretch";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["Reverse"] = 1073741824] = "Reverse";
  QPlatformDialogHelper_ButtonRole[QPlatformDialogHelper_ButtonRole["EOL"] = -1] = "EOL";
})(QPlatformDialogHelper_ButtonRole || (exports.QPlatformDialogHelper_ButtonRole = QPlatformDialogHelper_ButtonRole = {}));

var QQuickPlatformDialog_StandardCode;
exports.QQuickPlatformDialog_StandardCode = QQuickPlatformDialog_StandardCode;

(function (QQuickPlatformDialog_StandardCode) {
  QQuickPlatformDialog_StandardCode[QQuickPlatformDialog_StandardCode["Rejected"] = 0] = "Rejected";
  QQuickPlatformDialog_StandardCode[QQuickPlatformDialog_StandardCode["Accepted"] = 1] = "Accepted";
})(QQuickPlatformDialog_StandardCode || (exports.QQuickPlatformDialog_StandardCode = QQuickPlatformDialog_StandardCode = {}));

var QQuickPlatformFileDialog_FileMode;
exports.QQuickPlatformFileDialog_FileMode = QQuickPlatformFileDialog_FileMode;

(function (QQuickPlatformFileDialog_FileMode) {
  QQuickPlatformFileDialog_FileMode[QQuickPlatformFileDialog_FileMode["OpenFile"] = 0] = "OpenFile";
  QQuickPlatformFileDialog_FileMode[QQuickPlatformFileDialog_FileMode["OpenFiles"] = 1] = "OpenFiles";
  QQuickPlatformFileDialog_FileMode[QQuickPlatformFileDialog_FileMode["SaveFile"] = 2] = "SaveFile";
})(QQuickPlatformFileDialog_FileMode || (exports.QQuickPlatformFileDialog_FileMode = QQuickPlatformFileDialog_FileMode = {})); // end