"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.QSoundEffect_Status = exports.QSoundEffect_Loop = exports.QDeclarativeVideoOutput_FillMode = exports.QDeclarativeRadioData_Availability = exports.QDeclarativeRadioData_ProgramType = exports.QDeclarativeRadioData_Error = exports.QDeclarativeRadio_Availability = exports.QDeclarativeRadio_SearchMode = exports.QDeclarativeRadio_StereoMode = exports.QDeclarativeRadio_Error = exports.QDeclarativeRadio_Band = exports.QDeclarativeRadio_State = exports.QDeclarativePlaylist_Error = exports.QDeclarativePlaylist_PlaybackMode = exports.QDeclarativeMultimediaGlobal_VolumeScale = exports.QDeclarativeCameraRecorder_Error = exports.QDeclarativeCameraRecorder_EncodingMode = exports.QDeclarativeCameraRecorder_RecorderStatus = exports.QDeclarativeCameraRecorder_RecorderState = exports.QDeclarativeCameraImageProcessing_ColorFilter = exports.QDeclarativeCameraImageProcessing_WhiteBalanceMode = exports.QDeclarativeCameraFocus_FocusPointMode = exports.QDeclarativeCameraFocus_FocusMode = exports.QDeclarativeCameraFlash_FlashMode = exports.QDeclarativeCameraExposure_MeteringMode = exports.QDeclarativeCameraExposure_ExposureMode = exports.QDeclarativeCamera_Availability = exports.QDeclarativeCamera_FocusAreaStatus = exports.QDeclarativeCamera_FocusPointMode = exports.QDeclarativeCamera_FocusMode = exports.QDeclarativeCamera_MeteringMode = exports.QDeclarativeCamera_ExposureMode = exports.QDeclarativeCamera_FlashMode = exports.QDeclarativeCamera_Error = exports.QDeclarativeCamera_LockStatus = exports.QDeclarativeCamera_Status = exports.QDeclarativeCamera_State = exports.QDeclarativeCamera_CaptureMode = exports.QDeclarativeCamera_Position = exports.QDeclarativeAudio_AudioRole = exports.QDeclarativeAudio_Availability = exports.QDeclarativeAudio_PlaybackState = exports.QDeclarativeAudio_Loop = exports.QDeclarativeAudio_Error = exports.QDeclarativeAudio_Status = exports.QCamera_Position = exports.QCamera_LockType = exports.QCamera_LockChangeReason = exports.QCamera_LockStatus = exports.QCamera_Error = exports.QCamera_CaptureMode = exports.QCamera_State = exports.QCamera_Status = void 0;
// script: generateTypes, version: 0.3
// dependencies
var QCamera_Status;
exports.QCamera_Status = QCamera_Status;

(function (QCamera_Status) {
  QCamera_Status[QCamera_Status["UnavailableStatus"] = 0] = "UnavailableStatus";
  QCamera_Status[QCamera_Status["UnloadedStatus"] = 1] = "UnloadedStatus";
  QCamera_Status[QCamera_Status["LoadingStatus"] = 2] = "LoadingStatus";
  QCamera_Status[QCamera_Status["UnloadingStatus"] = 3] = "UnloadingStatus";
  QCamera_Status[QCamera_Status["LoadedStatus"] = 4] = "LoadedStatus";
  QCamera_Status[QCamera_Status["StandbyStatus"] = 5] = "StandbyStatus";
  QCamera_Status[QCamera_Status["StartingStatus"] = 6] = "StartingStatus";
  QCamera_Status[QCamera_Status["StoppingStatus"] = 7] = "StoppingStatus";
  QCamera_Status[QCamera_Status["ActiveStatus"] = 8] = "ActiveStatus";
})(QCamera_Status || (exports.QCamera_Status = QCamera_Status = {}));

var QCamera_State;
exports.QCamera_State = QCamera_State;

(function (QCamera_State) {
  QCamera_State[QCamera_State["UnloadedState"] = 0] = "UnloadedState";
  QCamera_State[QCamera_State["LoadedState"] = 1] = "LoadedState";
  QCamera_State[QCamera_State["ActiveState"] = 2] = "ActiveState";
})(QCamera_State || (exports.QCamera_State = QCamera_State = {}));

var QCamera_CaptureMode;
exports.QCamera_CaptureMode = QCamera_CaptureMode;

(function (QCamera_CaptureMode) {
  QCamera_CaptureMode[QCamera_CaptureMode["CaptureViewfinder"] = 0] = "CaptureViewfinder";
  QCamera_CaptureMode[QCamera_CaptureMode["CaptureStillImage"] = 1] = "CaptureStillImage";
  QCamera_CaptureMode[QCamera_CaptureMode["CaptureVideo"] = 2] = "CaptureVideo";
})(QCamera_CaptureMode || (exports.QCamera_CaptureMode = QCamera_CaptureMode = {}));

var QCamera_Error;
exports.QCamera_Error = QCamera_Error;

(function (QCamera_Error) {
  QCamera_Error[QCamera_Error["NoError"] = 0] = "NoError";
  QCamera_Error[QCamera_Error["CameraError"] = 1] = "CameraError";
  QCamera_Error[QCamera_Error["InvalidRequestError"] = 2] = "InvalidRequestError";
  QCamera_Error[QCamera_Error["ServiceMissingError"] = 3] = "ServiceMissingError";
  QCamera_Error[QCamera_Error["NotSupportedFeatureError"] = 4] = "NotSupportedFeatureError";
})(QCamera_Error || (exports.QCamera_Error = QCamera_Error = {}));

var QCamera_LockStatus;
exports.QCamera_LockStatus = QCamera_LockStatus;

(function (QCamera_LockStatus) {
  QCamera_LockStatus[QCamera_LockStatus["Unlocked"] = 0] = "Unlocked";
  QCamera_LockStatus[QCamera_LockStatus["Searching"] = 1] = "Searching";
  QCamera_LockStatus[QCamera_LockStatus["Locked"] = 2] = "Locked";
})(QCamera_LockStatus || (exports.QCamera_LockStatus = QCamera_LockStatus = {}));

var QCamera_LockChangeReason;
exports.QCamera_LockChangeReason = QCamera_LockChangeReason;

(function (QCamera_LockChangeReason) {
  QCamera_LockChangeReason[QCamera_LockChangeReason["UserRequest"] = 0] = "UserRequest";
  QCamera_LockChangeReason[QCamera_LockChangeReason["LockAcquired"] = 1] = "LockAcquired";
  QCamera_LockChangeReason[QCamera_LockChangeReason["LockFailed"] = 2] = "LockFailed";
  QCamera_LockChangeReason[QCamera_LockChangeReason["LockLost"] = 3] = "LockLost";
  QCamera_LockChangeReason[QCamera_LockChangeReason["LockTemporaryLost"] = 4] = "LockTemporaryLost";
})(QCamera_LockChangeReason || (exports.QCamera_LockChangeReason = QCamera_LockChangeReason = {}));

var QCamera_LockType;
exports.QCamera_LockType = QCamera_LockType;

(function (QCamera_LockType) {
  QCamera_LockType[QCamera_LockType["NoLock"] = 0] = "NoLock";
  QCamera_LockType[QCamera_LockType["LockExposure"] = 1] = "LockExposure";
  QCamera_LockType[QCamera_LockType["LockWhiteBalance"] = 2] = "LockWhiteBalance";
  QCamera_LockType[QCamera_LockType["LockFocus"] = 4] = "LockFocus";
})(QCamera_LockType || (exports.QCamera_LockType = QCamera_LockType = {}));

var QCamera_Position;
exports.QCamera_Position = QCamera_Position;

(function (QCamera_Position) {
  QCamera_Position[QCamera_Position["UnspecifiedPosition"] = 0] = "UnspecifiedPosition";
  QCamera_Position[QCamera_Position["BackFace"] = 1] = "BackFace";
  QCamera_Position[QCamera_Position["FrontFace"] = 2] = "FrontFace";
})(QCamera_Position || (exports.QCamera_Position = QCamera_Position = {}));

var QDeclarativeAudio_Status;
exports.QDeclarativeAudio_Status = QDeclarativeAudio_Status;

(function (QDeclarativeAudio_Status) {
  QDeclarativeAudio_Status[QDeclarativeAudio_Status["UnknownStatus"] = 0] = "UnknownStatus";
  QDeclarativeAudio_Status[QDeclarativeAudio_Status["NoMedia"] = 1] = "NoMedia";
  QDeclarativeAudio_Status[QDeclarativeAudio_Status["Loading"] = 2] = "Loading";
  QDeclarativeAudio_Status[QDeclarativeAudio_Status["Loaded"] = 3] = "Loaded";
  QDeclarativeAudio_Status[QDeclarativeAudio_Status["Stalled"] = 4] = "Stalled";
  QDeclarativeAudio_Status[QDeclarativeAudio_Status["Buffering"] = 5] = "Buffering";
  QDeclarativeAudio_Status[QDeclarativeAudio_Status["Buffered"] = 6] = "Buffered";
  QDeclarativeAudio_Status[QDeclarativeAudio_Status["EndOfMedia"] = 7] = "EndOfMedia";
  QDeclarativeAudio_Status[QDeclarativeAudio_Status["InvalidMedia"] = 8] = "InvalidMedia";
})(QDeclarativeAudio_Status || (exports.QDeclarativeAudio_Status = QDeclarativeAudio_Status = {}));

var QDeclarativeAudio_Error;
exports.QDeclarativeAudio_Error = QDeclarativeAudio_Error;

(function (QDeclarativeAudio_Error) {
  QDeclarativeAudio_Error[QDeclarativeAudio_Error["NoError"] = 0] = "NoError";
  QDeclarativeAudio_Error[QDeclarativeAudio_Error["ResourceError"] = 1] = "ResourceError";
  QDeclarativeAudio_Error[QDeclarativeAudio_Error["FormatError"] = 2] = "FormatError";
  QDeclarativeAudio_Error[QDeclarativeAudio_Error["NetworkError"] = 3] = "NetworkError";
  QDeclarativeAudio_Error[QDeclarativeAudio_Error["AccessDenied"] = 4] = "AccessDenied";
  QDeclarativeAudio_Error[QDeclarativeAudio_Error["ServiceMissing"] = 5] = "ServiceMissing";
})(QDeclarativeAudio_Error || (exports.QDeclarativeAudio_Error = QDeclarativeAudio_Error = {}));

var QDeclarativeAudio_Loop;
exports.QDeclarativeAudio_Loop = QDeclarativeAudio_Loop;

(function (QDeclarativeAudio_Loop) {
  QDeclarativeAudio_Loop[QDeclarativeAudio_Loop["Infinite"] = -1] = "Infinite";
})(QDeclarativeAudio_Loop || (exports.QDeclarativeAudio_Loop = QDeclarativeAudio_Loop = {}));

var QDeclarativeAudio_PlaybackState;
exports.QDeclarativeAudio_PlaybackState = QDeclarativeAudio_PlaybackState;

(function (QDeclarativeAudio_PlaybackState) {
  QDeclarativeAudio_PlaybackState[QDeclarativeAudio_PlaybackState["PlayingState"] = 1] = "PlayingState";
  QDeclarativeAudio_PlaybackState[QDeclarativeAudio_PlaybackState["PausedState"] = 2] = "PausedState";
  QDeclarativeAudio_PlaybackState[QDeclarativeAudio_PlaybackState["StoppedState"] = 0] = "StoppedState";
})(QDeclarativeAudio_PlaybackState || (exports.QDeclarativeAudio_PlaybackState = QDeclarativeAudio_PlaybackState = {}));

var QDeclarativeAudio_Availability;
exports.QDeclarativeAudio_Availability = QDeclarativeAudio_Availability;

(function (QDeclarativeAudio_Availability) {
  QDeclarativeAudio_Availability[QDeclarativeAudio_Availability["Available"] = 0] = "Available";
  QDeclarativeAudio_Availability[QDeclarativeAudio_Availability["Busy"] = 2] = "Busy";
  QDeclarativeAudio_Availability[QDeclarativeAudio_Availability["Unavailable"] = 1] = "Unavailable";
  QDeclarativeAudio_Availability[QDeclarativeAudio_Availability["ResourceMissing"] = 3] = "ResourceMissing";
})(QDeclarativeAudio_Availability || (exports.QDeclarativeAudio_Availability = QDeclarativeAudio_Availability = {}));

var QDeclarativeAudio_AudioRole;
exports.QDeclarativeAudio_AudioRole = QDeclarativeAudio_AudioRole;

(function (QDeclarativeAudio_AudioRole) {
  QDeclarativeAudio_AudioRole[QDeclarativeAudio_AudioRole["UnknownRole"] = 0] = "UnknownRole";
  QDeclarativeAudio_AudioRole[QDeclarativeAudio_AudioRole["AccessibilityRole"] = 7] = "AccessibilityRole";
  QDeclarativeAudio_AudioRole[QDeclarativeAudio_AudioRole["AlarmRole"] = 4] = "AlarmRole";
  QDeclarativeAudio_AudioRole[QDeclarativeAudio_AudioRole["GameRole"] = 9] = "GameRole";
  QDeclarativeAudio_AudioRole[QDeclarativeAudio_AudioRole["MusicRole"] = 1] = "MusicRole";
  QDeclarativeAudio_AudioRole[QDeclarativeAudio_AudioRole["NotificationRole"] = 5] = "NotificationRole";
  QDeclarativeAudio_AudioRole[QDeclarativeAudio_AudioRole["RingtoneRole"] = 6] = "RingtoneRole";
  QDeclarativeAudio_AudioRole[QDeclarativeAudio_AudioRole["SonificationRole"] = 8] = "SonificationRole";
  QDeclarativeAudio_AudioRole[QDeclarativeAudio_AudioRole["VideoRole"] = 2] = "VideoRole";
  QDeclarativeAudio_AudioRole[QDeclarativeAudio_AudioRole["VoiceCommunicationRole"] = 3] = "VoiceCommunicationRole";
})(QDeclarativeAudio_AudioRole || (exports.QDeclarativeAudio_AudioRole = QDeclarativeAudio_AudioRole = {}));

var QDeclarativeCamera_Position;
exports.QDeclarativeCamera_Position = QDeclarativeCamera_Position;

(function (QDeclarativeCamera_Position) {
  QDeclarativeCamera_Position[QDeclarativeCamera_Position["UnspecifiedPosition"] = 0] = "UnspecifiedPosition";
  QDeclarativeCamera_Position[QDeclarativeCamera_Position["BackFace"] = 1] = "BackFace";
  QDeclarativeCamera_Position[QDeclarativeCamera_Position["FrontFace"] = 2] = "FrontFace";
})(QDeclarativeCamera_Position || (exports.QDeclarativeCamera_Position = QDeclarativeCamera_Position = {}));

var QDeclarativeCamera_CaptureMode;
exports.QDeclarativeCamera_CaptureMode = QDeclarativeCamera_CaptureMode;

(function (QDeclarativeCamera_CaptureMode) {
  QDeclarativeCamera_CaptureMode[QDeclarativeCamera_CaptureMode["CaptureViewfinder"] = 0] = "CaptureViewfinder";
  QDeclarativeCamera_CaptureMode[QDeclarativeCamera_CaptureMode["CaptureStillImage"] = 1] = "CaptureStillImage";
  QDeclarativeCamera_CaptureMode[QDeclarativeCamera_CaptureMode["CaptureVideo"] = 2] = "CaptureVideo";
})(QDeclarativeCamera_CaptureMode || (exports.QDeclarativeCamera_CaptureMode = QDeclarativeCamera_CaptureMode = {}));

var QDeclarativeCamera_State;
exports.QDeclarativeCamera_State = QDeclarativeCamera_State;

(function (QDeclarativeCamera_State) {
  QDeclarativeCamera_State[QDeclarativeCamera_State["ActiveState"] = 2] = "ActiveState";
  QDeclarativeCamera_State[QDeclarativeCamera_State["LoadedState"] = 1] = "LoadedState";
  QDeclarativeCamera_State[QDeclarativeCamera_State["UnloadedState"] = 0] = "UnloadedState";
})(QDeclarativeCamera_State || (exports.QDeclarativeCamera_State = QDeclarativeCamera_State = {}));

var QDeclarativeCamera_Status;
exports.QDeclarativeCamera_Status = QDeclarativeCamera_Status;

(function (QDeclarativeCamera_Status) {
  QDeclarativeCamera_Status[QDeclarativeCamera_Status["UnavailableStatus"] = 0] = "UnavailableStatus";
  QDeclarativeCamera_Status[QDeclarativeCamera_Status["UnloadedStatus"] = 1] = "UnloadedStatus";
  QDeclarativeCamera_Status[QDeclarativeCamera_Status["LoadingStatus"] = 2] = "LoadingStatus";
  QDeclarativeCamera_Status[QDeclarativeCamera_Status["UnloadingStatus"] = 3] = "UnloadingStatus";
  QDeclarativeCamera_Status[QDeclarativeCamera_Status["LoadedStatus"] = 4] = "LoadedStatus";
  QDeclarativeCamera_Status[QDeclarativeCamera_Status["StandbyStatus"] = 5] = "StandbyStatus";
  QDeclarativeCamera_Status[QDeclarativeCamera_Status["StartingStatus"] = 6] = "StartingStatus";
  QDeclarativeCamera_Status[QDeclarativeCamera_Status["StoppingStatus"] = 7] = "StoppingStatus";
  QDeclarativeCamera_Status[QDeclarativeCamera_Status["ActiveStatus"] = 8] = "ActiveStatus";
})(QDeclarativeCamera_Status || (exports.QDeclarativeCamera_Status = QDeclarativeCamera_Status = {}));

var QDeclarativeCamera_LockStatus;
exports.QDeclarativeCamera_LockStatus = QDeclarativeCamera_LockStatus;

(function (QDeclarativeCamera_LockStatus) {
  QDeclarativeCamera_LockStatus[QDeclarativeCamera_LockStatus["Unlocked"] = 0] = "Unlocked";
  QDeclarativeCamera_LockStatus[QDeclarativeCamera_LockStatus["Searching"] = 1] = "Searching";
  QDeclarativeCamera_LockStatus[QDeclarativeCamera_LockStatus["Locked"] = 2] = "Locked";
})(QDeclarativeCamera_LockStatus || (exports.QDeclarativeCamera_LockStatus = QDeclarativeCamera_LockStatus = {}));

var QDeclarativeCamera_Error;
exports.QDeclarativeCamera_Error = QDeclarativeCamera_Error;

(function (QDeclarativeCamera_Error) {
  QDeclarativeCamera_Error[QDeclarativeCamera_Error["NoError"] = 0] = "NoError";
  QDeclarativeCamera_Error[QDeclarativeCamera_Error["CameraError"] = 1] = "CameraError";
  QDeclarativeCamera_Error[QDeclarativeCamera_Error["InvalidRequestError"] = 2] = "InvalidRequestError";
  QDeclarativeCamera_Error[QDeclarativeCamera_Error["ServiceMissingError"] = 3] = "ServiceMissingError";
  QDeclarativeCamera_Error[QDeclarativeCamera_Error["NotSupportedFeatureError"] = 4] = "NotSupportedFeatureError";
})(QDeclarativeCamera_Error || (exports.QDeclarativeCamera_Error = QDeclarativeCamera_Error = {}));

var QDeclarativeCamera_FlashMode;
exports.QDeclarativeCamera_FlashMode = QDeclarativeCamera_FlashMode;

(function (QDeclarativeCamera_FlashMode) {
  QDeclarativeCamera_FlashMode[QDeclarativeCamera_FlashMode["FlashAuto"] = 1] = "FlashAuto";
  QDeclarativeCamera_FlashMode[QDeclarativeCamera_FlashMode["FlashOff"] = 2] = "FlashOff";
  QDeclarativeCamera_FlashMode[QDeclarativeCamera_FlashMode["FlashOn"] = 4] = "FlashOn";
  QDeclarativeCamera_FlashMode[QDeclarativeCamera_FlashMode["FlashRedEyeReduction"] = 8] = "FlashRedEyeReduction";
  QDeclarativeCamera_FlashMode[QDeclarativeCamera_FlashMode["FlashFill"] = 16] = "FlashFill";
  QDeclarativeCamera_FlashMode[QDeclarativeCamera_FlashMode["FlashTorch"] = 32] = "FlashTorch";
  QDeclarativeCamera_FlashMode[QDeclarativeCamera_FlashMode["FlashVideoLight"] = 64] = "FlashVideoLight";
  QDeclarativeCamera_FlashMode[QDeclarativeCamera_FlashMode["FlashSlowSyncFrontCurtain"] = 128] = "FlashSlowSyncFrontCurtain";
  QDeclarativeCamera_FlashMode[QDeclarativeCamera_FlashMode["FlashSlowSyncRearCurtain"] = 256] = "FlashSlowSyncRearCurtain";
  QDeclarativeCamera_FlashMode[QDeclarativeCamera_FlashMode["FlashManual"] = 512] = "FlashManual";
})(QDeclarativeCamera_FlashMode || (exports.QDeclarativeCamera_FlashMode = QDeclarativeCamera_FlashMode = {}));

var QDeclarativeCamera_ExposureMode;
exports.QDeclarativeCamera_ExposureMode = QDeclarativeCamera_ExposureMode;

(function (QDeclarativeCamera_ExposureMode) {
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureAuto"] = 0] = "ExposureAuto";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureManual"] = 1] = "ExposureManual";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposurePortrait"] = 2] = "ExposurePortrait";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureNight"] = 3] = "ExposureNight";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureBacklight"] = 4] = "ExposureBacklight";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureSpotlight"] = 5] = "ExposureSpotlight";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureSports"] = 6] = "ExposureSports";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureSnow"] = 7] = "ExposureSnow";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureBeach"] = 8] = "ExposureBeach";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureLargeAperture"] = 9] = "ExposureLargeAperture";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureSmallAperture"] = 10] = "ExposureSmallAperture";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureAction"] = 11] = "ExposureAction";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureLandscape"] = 12] = "ExposureLandscape";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureNightPortrait"] = 13] = "ExposureNightPortrait";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureTheatre"] = 14] = "ExposureTheatre";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureSunset"] = 15] = "ExposureSunset";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureSteadyPhoto"] = 16] = "ExposureSteadyPhoto";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureFireworks"] = 17] = "ExposureFireworks";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureParty"] = 18] = "ExposureParty";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureCandlelight"] = 19] = "ExposureCandlelight";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureBarcode"] = 20] = "ExposureBarcode";
  QDeclarativeCamera_ExposureMode[QDeclarativeCamera_ExposureMode["ExposureModeVendor"] = 1000] = "ExposureModeVendor";
})(QDeclarativeCamera_ExposureMode || (exports.QDeclarativeCamera_ExposureMode = QDeclarativeCamera_ExposureMode = {}));

var QDeclarativeCamera_MeteringMode;
exports.QDeclarativeCamera_MeteringMode = QDeclarativeCamera_MeteringMode;

(function (QDeclarativeCamera_MeteringMode) {
  QDeclarativeCamera_MeteringMode[QDeclarativeCamera_MeteringMode["MeteringMatrix"] = 1] = "MeteringMatrix";
  QDeclarativeCamera_MeteringMode[QDeclarativeCamera_MeteringMode["MeteringAverage"] = 2] = "MeteringAverage";
  QDeclarativeCamera_MeteringMode[QDeclarativeCamera_MeteringMode["MeteringSpot"] = 3] = "MeteringSpot";
})(QDeclarativeCamera_MeteringMode || (exports.QDeclarativeCamera_MeteringMode = QDeclarativeCamera_MeteringMode = {}));

var QDeclarativeCamera_FocusMode;
exports.QDeclarativeCamera_FocusMode = QDeclarativeCamera_FocusMode;

(function (QDeclarativeCamera_FocusMode) {
  QDeclarativeCamera_FocusMode[QDeclarativeCamera_FocusMode["FocusManual"] = 1] = "FocusManual";
  QDeclarativeCamera_FocusMode[QDeclarativeCamera_FocusMode["FocusHyperfocal"] = 2] = "FocusHyperfocal";
  QDeclarativeCamera_FocusMode[QDeclarativeCamera_FocusMode["FocusInfinity"] = 4] = "FocusInfinity";
  QDeclarativeCamera_FocusMode[QDeclarativeCamera_FocusMode["FocusAuto"] = 8] = "FocusAuto";
  QDeclarativeCamera_FocusMode[QDeclarativeCamera_FocusMode["FocusContinuous"] = 16] = "FocusContinuous";
  QDeclarativeCamera_FocusMode[QDeclarativeCamera_FocusMode["FocusMacro"] = 32] = "FocusMacro";
})(QDeclarativeCamera_FocusMode || (exports.QDeclarativeCamera_FocusMode = QDeclarativeCamera_FocusMode = {}));

var QDeclarativeCamera_FocusPointMode;
exports.QDeclarativeCamera_FocusPointMode = QDeclarativeCamera_FocusPointMode;

(function (QDeclarativeCamera_FocusPointMode) {
  QDeclarativeCamera_FocusPointMode[QDeclarativeCamera_FocusPointMode["FocusPointAuto"] = 0] = "FocusPointAuto";
  QDeclarativeCamera_FocusPointMode[QDeclarativeCamera_FocusPointMode["FocusPointCenter"] = 1] = "FocusPointCenter";
  QDeclarativeCamera_FocusPointMode[QDeclarativeCamera_FocusPointMode["FocusPointFaceDetection"] = 2] = "FocusPointFaceDetection";
  QDeclarativeCamera_FocusPointMode[QDeclarativeCamera_FocusPointMode["FocusPointCustom"] = 3] = "FocusPointCustom";
})(QDeclarativeCamera_FocusPointMode || (exports.QDeclarativeCamera_FocusPointMode = QDeclarativeCamera_FocusPointMode = {}));

var QDeclarativeCamera_FocusAreaStatus;
exports.QDeclarativeCamera_FocusAreaStatus = QDeclarativeCamera_FocusAreaStatus;

(function (QDeclarativeCamera_FocusAreaStatus) {
  QDeclarativeCamera_FocusAreaStatus[QDeclarativeCamera_FocusAreaStatus["FocusAreaUnused"] = 1] = "FocusAreaUnused";
  QDeclarativeCamera_FocusAreaStatus[QDeclarativeCamera_FocusAreaStatus["FocusAreaSelected"] = 2] = "FocusAreaSelected";
  QDeclarativeCamera_FocusAreaStatus[QDeclarativeCamera_FocusAreaStatus["FocusAreaFocused"] = 3] = "FocusAreaFocused";
})(QDeclarativeCamera_FocusAreaStatus || (exports.QDeclarativeCamera_FocusAreaStatus = QDeclarativeCamera_FocusAreaStatus = {}));

var QDeclarativeCamera_Availability;
exports.QDeclarativeCamera_Availability = QDeclarativeCamera_Availability;

(function (QDeclarativeCamera_Availability) {
  QDeclarativeCamera_Availability[QDeclarativeCamera_Availability["Available"] = 0] = "Available";
  QDeclarativeCamera_Availability[QDeclarativeCamera_Availability["Busy"] = 2] = "Busy";
  QDeclarativeCamera_Availability[QDeclarativeCamera_Availability["Unavailable"] = 1] = "Unavailable";
  QDeclarativeCamera_Availability[QDeclarativeCamera_Availability["ResourceMissing"] = 3] = "ResourceMissing";
})(QDeclarativeCamera_Availability || (exports.QDeclarativeCamera_Availability = QDeclarativeCamera_Availability = {}));

var QDeclarativeCameraExposure_ExposureMode;
exports.QDeclarativeCameraExposure_ExposureMode = QDeclarativeCameraExposure_ExposureMode;

(function (QDeclarativeCameraExposure_ExposureMode) {
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureAuto"] = 0] = "ExposureAuto";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureManual"] = 1] = "ExposureManual";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposurePortrait"] = 2] = "ExposurePortrait";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureNight"] = 3] = "ExposureNight";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureBacklight"] = 4] = "ExposureBacklight";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureSpotlight"] = 5] = "ExposureSpotlight";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureSports"] = 6] = "ExposureSports";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureSnow"] = 7] = "ExposureSnow";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureBeach"] = 8] = "ExposureBeach";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureLargeAperture"] = 9] = "ExposureLargeAperture";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureSmallAperture"] = 10] = "ExposureSmallAperture";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureAction"] = 11] = "ExposureAction";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureLandscape"] = 12] = "ExposureLandscape";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureNightPortrait"] = 13] = "ExposureNightPortrait";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureTheatre"] = 14] = "ExposureTheatre";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureSunset"] = 15] = "ExposureSunset";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureSteadyPhoto"] = 16] = "ExposureSteadyPhoto";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureFireworks"] = 17] = "ExposureFireworks";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureParty"] = 18] = "ExposureParty";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureCandlelight"] = 19] = "ExposureCandlelight";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureBarcode"] = 20] = "ExposureBarcode";
  QDeclarativeCameraExposure_ExposureMode[QDeclarativeCameraExposure_ExposureMode["ExposureModeVendor"] = 1000] = "ExposureModeVendor";
})(QDeclarativeCameraExposure_ExposureMode || (exports.QDeclarativeCameraExposure_ExposureMode = QDeclarativeCameraExposure_ExposureMode = {}));

var QDeclarativeCameraExposure_MeteringMode;
exports.QDeclarativeCameraExposure_MeteringMode = QDeclarativeCameraExposure_MeteringMode;

(function (QDeclarativeCameraExposure_MeteringMode) {
  QDeclarativeCameraExposure_MeteringMode[QDeclarativeCameraExposure_MeteringMode["MeteringMatrix"] = 1] = "MeteringMatrix";
  QDeclarativeCameraExposure_MeteringMode[QDeclarativeCameraExposure_MeteringMode["MeteringAverage"] = 2] = "MeteringAverage";
  QDeclarativeCameraExposure_MeteringMode[QDeclarativeCameraExposure_MeteringMode["MeteringSpot"] = 3] = "MeteringSpot";
})(QDeclarativeCameraExposure_MeteringMode || (exports.QDeclarativeCameraExposure_MeteringMode = QDeclarativeCameraExposure_MeteringMode = {}));

var QDeclarativeCameraFlash_FlashMode;
exports.QDeclarativeCameraFlash_FlashMode = QDeclarativeCameraFlash_FlashMode;

(function (QDeclarativeCameraFlash_FlashMode) {
  QDeclarativeCameraFlash_FlashMode[QDeclarativeCameraFlash_FlashMode["FlashAuto"] = 1] = "FlashAuto";
  QDeclarativeCameraFlash_FlashMode[QDeclarativeCameraFlash_FlashMode["FlashOff"] = 2] = "FlashOff";
  QDeclarativeCameraFlash_FlashMode[QDeclarativeCameraFlash_FlashMode["FlashOn"] = 4] = "FlashOn";
  QDeclarativeCameraFlash_FlashMode[QDeclarativeCameraFlash_FlashMode["FlashRedEyeReduction"] = 8] = "FlashRedEyeReduction";
  QDeclarativeCameraFlash_FlashMode[QDeclarativeCameraFlash_FlashMode["FlashFill"] = 16] = "FlashFill";
  QDeclarativeCameraFlash_FlashMode[QDeclarativeCameraFlash_FlashMode["FlashTorch"] = 32] = "FlashTorch";
  QDeclarativeCameraFlash_FlashMode[QDeclarativeCameraFlash_FlashMode["FlashVideoLight"] = 64] = "FlashVideoLight";
  QDeclarativeCameraFlash_FlashMode[QDeclarativeCameraFlash_FlashMode["FlashSlowSyncFrontCurtain"] = 128] = "FlashSlowSyncFrontCurtain";
  QDeclarativeCameraFlash_FlashMode[QDeclarativeCameraFlash_FlashMode["FlashSlowSyncRearCurtain"] = 256] = "FlashSlowSyncRearCurtain";
  QDeclarativeCameraFlash_FlashMode[QDeclarativeCameraFlash_FlashMode["FlashManual"] = 512] = "FlashManual";
})(QDeclarativeCameraFlash_FlashMode || (exports.QDeclarativeCameraFlash_FlashMode = QDeclarativeCameraFlash_FlashMode = {}));

var QDeclarativeCameraFocus_FocusMode;
exports.QDeclarativeCameraFocus_FocusMode = QDeclarativeCameraFocus_FocusMode;

(function (QDeclarativeCameraFocus_FocusMode) {
  QDeclarativeCameraFocus_FocusMode[QDeclarativeCameraFocus_FocusMode["FocusManual"] = 1] = "FocusManual";
  QDeclarativeCameraFocus_FocusMode[QDeclarativeCameraFocus_FocusMode["FocusHyperfocal"] = 2] = "FocusHyperfocal";
  QDeclarativeCameraFocus_FocusMode[QDeclarativeCameraFocus_FocusMode["FocusInfinity"] = 4] = "FocusInfinity";
  QDeclarativeCameraFocus_FocusMode[QDeclarativeCameraFocus_FocusMode["FocusAuto"] = 8] = "FocusAuto";
  QDeclarativeCameraFocus_FocusMode[QDeclarativeCameraFocus_FocusMode["FocusContinuous"] = 16] = "FocusContinuous";
  QDeclarativeCameraFocus_FocusMode[QDeclarativeCameraFocus_FocusMode["FocusMacro"] = 32] = "FocusMacro";
})(QDeclarativeCameraFocus_FocusMode || (exports.QDeclarativeCameraFocus_FocusMode = QDeclarativeCameraFocus_FocusMode = {}));

var QDeclarativeCameraFocus_FocusPointMode;
exports.QDeclarativeCameraFocus_FocusPointMode = QDeclarativeCameraFocus_FocusPointMode;

(function (QDeclarativeCameraFocus_FocusPointMode) {
  QDeclarativeCameraFocus_FocusPointMode[QDeclarativeCameraFocus_FocusPointMode["FocusPointAuto"] = 0] = "FocusPointAuto";
  QDeclarativeCameraFocus_FocusPointMode[QDeclarativeCameraFocus_FocusPointMode["FocusPointCenter"] = 1] = "FocusPointCenter";
  QDeclarativeCameraFocus_FocusPointMode[QDeclarativeCameraFocus_FocusPointMode["FocusPointFaceDetection"] = 2] = "FocusPointFaceDetection";
  QDeclarativeCameraFocus_FocusPointMode[QDeclarativeCameraFocus_FocusPointMode["FocusPointCustom"] = 3] = "FocusPointCustom";
})(QDeclarativeCameraFocus_FocusPointMode || (exports.QDeclarativeCameraFocus_FocusPointMode = QDeclarativeCameraFocus_FocusPointMode = {}));

var QDeclarativeCameraImageProcessing_WhiteBalanceMode;
exports.QDeclarativeCameraImageProcessing_WhiteBalanceMode = QDeclarativeCameraImageProcessing_WhiteBalanceMode;

(function (QDeclarativeCameraImageProcessing_WhiteBalanceMode) {
  QDeclarativeCameraImageProcessing_WhiteBalanceMode[QDeclarativeCameraImageProcessing_WhiteBalanceMode["WhiteBalanceAuto"] = 0] = "WhiteBalanceAuto";
  QDeclarativeCameraImageProcessing_WhiteBalanceMode[QDeclarativeCameraImageProcessing_WhiteBalanceMode["WhiteBalanceManual"] = 1] = "WhiteBalanceManual";
  QDeclarativeCameraImageProcessing_WhiteBalanceMode[QDeclarativeCameraImageProcessing_WhiteBalanceMode["WhiteBalanceSunlight"] = 2] = "WhiteBalanceSunlight";
  QDeclarativeCameraImageProcessing_WhiteBalanceMode[QDeclarativeCameraImageProcessing_WhiteBalanceMode["WhiteBalanceCloudy"] = 3] = "WhiteBalanceCloudy";
  QDeclarativeCameraImageProcessing_WhiteBalanceMode[QDeclarativeCameraImageProcessing_WhiteBalanceMode["WhiteBalanceShade"] = 4] = "WhiteBalanceShade";
  QDeclarativeCameraImageProcessing_WhiteBalanceMode[QDeclarativeCameraImageProcessing_WhiteBalanceMode["WhiteBalanceTungsten"] = 5] = "WhiteBalanceTungsten";
  QDeclarativeCameraImageProcessing_WhiteBalanceMode[QDeclarativeCameraImageProcessing_WhiteBalanceMode["WhiteBalanceFluorescent"] = 6] = "WhiteBalanceFluorescent";
  QDeclarativeCameraImageProcessing_WhiteBalanceMode[QDeclarativeCameraImageProcessing_WhiteBalanceMode["WhiteBalanceFlash"] = 7] = "WhiteBalanceFlash";
  QDeclarativeCameraImageProcessing_WhiteBalanceMode[QDeclarativeCameraImageProcessing_WhiteBalanceMode["WhiteBalanceSunset"] = 8] = "WhiteBalanceSunset";
  QDeclarativeCameraImageProcessing_WhiteBalanceMode[QDeclarativeCameraImageProcessing_WhiteBalanceMode["WhiteBalanceVendor"] = 1000] = "WhiteBalanceVendor";
})(QDeclarativeCameraImageProcessing_WhiteBalanceMode || (exports.QDeclarativeCameraImageProcessing_WhiteBalanceMode = QDeclarativeCameraImageProcessing_WhiteBalanceMode = {}));

var QDeclarativeCameraImageProcessing_ColorFilter;
exports.QDeclarativeCameraImageProcessing_ColorFilter = QDeclarativeCameraImageProcessing_ColorFilter;

(function (QDeclarativeCameraImageProcessing_ColorFilter) {
  QDeclarativeCameraImageProcessing_ColorFilter[QDeclarativeCameraImageProcessing_ColorFilter["ColorFilterNone"] = 0] = "ColorFilterNone";
  QDeclarativeCameraImageProcessing_ColorFilter[QDeclarativeCameraImageProcessing_ColorFilter["ColorFilterGrayscale"] = 1] = "ColorFilterGrayscale";
  QDeclarativeCameraImageProcessing_ColorFilter[QDeclarativeCameraImageProcessing_ColorFilter["ColorFilterNegative"] = 2] = "ColorFilterNegative";
  QDeclarativeCameraImageProcessing_ColorFilter[QDeclarativeCameraImageProcessing_ColorFilter["ColorFilterSolarize"] = 3] = "ColorFilterSolarize";
  QDeclarativeCameraImageProcessing_ColorFilter[QDeclarativeCameraImageProcessing_ColorFilter["ColorFilterSepia"] = 4] = "ColorFilterSepia";
  QDeclarativeCameraImageProcessing_ColorFilter[QDeclarativeCameraImageProcessing_ColorFilter["ColorFilterPosterize"] = 5] = "ColorFilterPosterize";
  QDeclarativeCameraImageProcessing_ColorFilter[QDeclarativeCameraImageProcessing_ColorFilter["ColorFilterWhiteboard"] = 6] = "ColorFilterWhiteboard";
  QDeclarativeCameraImageProcessing_ColorFilter[QDeclarativeCameraImageProcessing_ColorFilter["ColorFilterBlackboard"] = 7] = "ColorFilterBlackboard";
  QDeclarativeCameraImageProcessing_ColorFilter[QDeclarativeCameraImageProcessing_ColorFilter["ColorFilterAqua"] = 8] = "ColorFilterAqua";
  QDeclarativeCameraImageProcessing_ColorFilter[QDeclarativeCameraImageProcessing_ColorFilter["ColorFilterVendor"] = 1000] = "ColorFilterVendor";
})(QDeclarativeCameraImageProcessing_ColorFilter || (exports.QDeclarativeCameraImageProcessing_ColorFilter = QDeclarativeCameraImageProcessing_ColorFilter = {}));

var QDeclarativeCameraRecorder_RecorderState;
exports.QDeclarativeCameraRecorder_RecorderState = QDeclarativeCameraRecorder_RecorderState;

(function (QDeclarativeCameraRecorder_RecorderState) {
  QDeclarativeCameraRecorder_RecorderState[QDeclarativeCameraRecorder_RecorderState["StoppedState"] = 0] = "StoppedState";
  QDeclarativeCameraRecorder_RecorderState[QDeclarativeCameraRecorder_RecorderState["RecordingState"] = 1] = "RecordingState";
})(QDeclarativeCameraRecorder_RecorderState || (exports.QDeclarativeCameraRecorder_RecorderState = QDeclarativeCameraRecorder_RecorderState = {}));

var QDeclarativeCameraRecorder_RecorderStatus;
exports.QDeclarativeCameraRecorder_RecorderStatus = QDeclarativeCameraRecorder_RecorderStatus;

(function (QDeclarativeCameraRecorder_RecorderStatus) {
  QDeclarativeCameraRecorder_RecorderStatus[QDeclarativeCameraRecorder_RecorderStatus["UnavailableStatus"] = 0] = "UnavailableStatus";
  QDeclarativeCameraRecorder_RecorderStatus[QDeclarativeCameraRecorder_RecorderStatus["UnloadedStatus"] = 1] = "UnloadedStatus";
  QDeclarativeCameraRecorder_RecorderStatus[QDeclarativeCameraRecorder_RecorderStatus["LoadingStatus"] = 2] = "LoadingStatus";
  QDeclarativeCameraRecorder_RecorderStatus[QDeclarativeCameraRecorder_RecorderStatus["LoadedStatus"] = 3] = "LoadedStatus";
  QDeclarativeCameraRecorder_RecorderStatus[QDeclarativeCameraRecorder_RecorderStatus["StartingStatus"] = 4] = "StartingStatus";
  QDeclarativeCameraRecorder_RecorderStatus[QDeclarativeCameraRecorder_RecorderStatus["RecordingStatus"] = 5] = "RecordingStatus";
  QDeclarativeCameraRecorder_RecorderStatus[QDeclarativeCameraRecorder_RecorderStatus["PausedStatus"] = 6] = "PausedStatus";
  QDeclarativeCameraRecorder_RecorderStatus[QDeclarativeCameraRecorder_RecorderStatus["FinalizingStatus"] = 7] = "FinalizingStatus";
})(QDeclarativeCameraRecorder_RecorderStatus || (exports.QDeclarativeCameraRecorder_RecorderStatus = QDeclarativeCameraRecorder_RecorderStatus = {}));

var QDeclarativeCameraRecorder_EncodingMode;
exports.QDeclarativeCameraRecorder_EncodingMode = QDeclarativeCameraRecorder_EncodingMode;

(function (QDeclarativeCameraRecorder_EncodingMode) {
  QDeclarativeCameraRecorder_EncodingMode[QDeclarativeCameraRecorder_EncodingMode["ConstantQualityEncoding"] = 0] = "ConstantQualityEncoding";
  QDeclarativeCameraRecorder_EncodingMode[QDeclarativeCameraRecorder_EncodingMode["ConstantBitRateEncoding"] = 1] = "ConstantBitRateEncoding";
  QDeclarativeCameraRecorder_EncodingMode[QDeclarativeCameraRecorder_EncodingMode["AverageBitRateEncoding"] = 2] = "AverageBitRateEncoding";
})(QDeclarativeCameraRecorder_EncodingMode || (exports.QDeclarativeCameraRecorder_EncodingMode = QDeclarativeCameraRecorder_EncodingMode = {}));

var QDeclarativeCameraRecorder_Error;
exports.QDeclarativeCameraRecorder_Error = QDeclarativeCameraRecorder_Error;

(function (QDeclarativeCameraRecorder_Error) {
  QDeclarativeCameraRecorder_Error[QDeclarativeCameraRecorder_Error["NoError"] = 0] = "NoError";
  QDeclarativeCameraRecorder_Error[QDeclarativeCameraRecorder_Error["ResourceError"] = 1] = "ResourceError";
  QDeclarativeCameraRecorder_Error[QDeclarativeCameraRecorder_Error["FormatError"] = 2] = "FormatError";
  QDeclarativeCameraRecorder_Error[QDeclarativeCameraRecorder_Error["OutOfSpaceError"] = 3] = "OutOfSpaceError";
})(QDeclarativeCameraRecorder_Error || (exports.QDeclarativeCameraRecorder_Error = QDeclarativeCameraRecorder_Error = {}));

var QDeclarativeMultimediaGlobal_VolumeScale;
exports.QDeclarativeMultimediaGlobal_VolumeScale = QDeclarativeMultimediaGlobal_VolumeScale;

(function (QDeclarativeMultimediaGlobal_VolumeScale) {
  QDeclarativeMultimediaGlobal_VolumeScale[QDeclarativeMultimediaGlobal_VolumeScale["LinearVolumeScale"] = 0] = "LinearVolumeScale";
  QDeclarativeMultimediaGlobal_VolumeScale[QDeclarativeMultimediaGlobal_VolumeScale["CubicVolumeScale"] = 1] = "CubicVolumeScale";
  QDeclarativeMultimediaGlobal_VolumeScale[QDeclarativeMultimediaGlobal_VolumeScale["LogarithmicVolumeScale"] = 2] = "LogarithmicVolumeScale";
  QDeclarativeMultimediaGlobal_VolumeScale[QDeclarativeMultimediaGlobal_VolumeScale["DecibelVolumeScale"] = 3] = "DecibelVolumeScale";
})(QDeclarativeMultimediaGlobal_VolumeScale || (exports.QDeclarativeMultimediaGlobal_VolumeScale = QDeclarativeMultimediaGlobal_VolumeScale = {}));

var QDeclarativePlaylist_PlaybackMode;
exports.QDeclarativePlaylist_PlaybackMode = QDeclarativePlaylist_PlaybackMode;

(function (QDeclarativePlaylist_PlaybackMode) {
  QDeclarativePlaylist_PlaybackMode[QDeclarativePlaylist_PlaybackMode["CurrentItemOnce"] = 0] = "CurrentItemOnce";
  QDeclarativePlaylist_PlaybackMode[QDeclarativePlaylist_PlaybackMode["CurrentItemInLoop"] = 1] = "CurrentItemInLoop";
  QDeclarativePlaylist_PlaybackMode[QDeclarativePlaylist_PlaybackMode["Sequential"] = 2] = "Sequential";
  QDeclarativePlaylist_PlaybackMode[QDeclarativePlaylist_PlaybackMode["Loop"] = 3] = "Loop";
  QDeclarativePlaylist_PlaybackMode[QDeclarativePlaylist_PlaybackMode["Random"] = 4] = "Random";
})(QDeclarativePlaylist_PlaybackMode || (exports.QDeclarativePlaylist_PlaybackMode = QDeclarativePlaylist_PlaybackMode = {}));

var QDeclarativePlaylist_Error;
exports.QDeclarativePlaylist_Error = QDeclarativePlaylist_Error;

(function (QDeclarativePlaylist_Error) {
  QDeclarativePlaylist_Error[QDeclarativePlaylist_Error["NoError"] = 0] = "NoError";
  QDeclarativePlaylist_Error[QDeclarativePlaylist_Error["FormatError"] = 1] = "FormatError";
  QDeclarativePlaylist_Error[QDeclarativePlaylist_Error["FormatNotSupportedError"] = 2] = "FormatNotSupportedError";
  QDeclarativePlaylist_Error[QDeclarativePlaylist_Error["NetworkError"] = 3] = "NetworkError";
  QDeclarativePlaylist_Error[QDeclarativePlaylist_Error["AccessDeniedError"] = 4] = "AccessDeniedError";
})(QDeclarativePlaylist_Error || (exports.QDeclarativePlaylist_Error = QDeclarativePlaylist_Error = {}));

var QDeclarativeRadio_State;
exports.QDeclarativeRadio_State = QDeclarativeRadio_State;

(function (QDeclarativeRadio_State) {
  QDeclarativeRadio_State[QDeclarativeRadio_State["ActiveState"] = 0] = "ActiveState";
  QDeclarativeRadio_State[QDeclarativeRadio_State["StoppedState"] = 1] = "StoppedState";
})(QDeclarativeRadio_State || (exports.QDeclarativeRadio_State = QDeclarativeRadio_State = {}));

var QDeclarativeRadio_Band;
exports.QDeclarativeRadio_Band = QDeclarativeRadio_Band;

(function (QDeclarativeRadio_Band) {
  QDeclarativeRadio_Band[QDeclarativeRadio_Band["AM"] = 0] = "AM";
  QDeclarativeRadio_Band[QDeclarativeRadio_Band["FM"] = 1] = "FM";
  QDeclarativeRadio_Band[QDeclarativeRadio_Band["SW"] = 2] = "SW";
  QDeclarativeRadio_Band[QDeclarativeRadio_Band["LW"] = 3] = "LW";
  QDeclarativeRadio_Band[QDeclarativeRadio_Band["FM2"] = 4] = "FM2";
})(QDeclarativeRadio_Band || (exports.QDeclarativeRadio_Band = QDeclarativeRadio_Band = {}));

var QDeclarativeRadio_Error;
exports.QDeclarativeRadio_Error = QDeclarativeRadio_Error;

(function (QDeclarativeRadio_Error) {
  QDeclarativeRadio_Error[QDeclarativeRadio_Error["NoError"] = 0] = "NoError";
  QDeclarativeRadio_Error[QDeclarativeRadio_Error["ResourceError"] = 1] = "ResourceError";
  QDeclarativeRadio_Error[QDeclarativeRadio_Error["OpenError"] = 2] = "OpenError";
  QDeclarativeRadio_Error[QDeclarativeRadio_Error["OutOfRangeError"] = 3] = "OutOfRangeError";
})(QDeclarativeRadio_Error || (exports.QDeclarativeRadio_Error = QDeclarativeRadio_Error = {}));

var QDeclarativeRadio_StereoMode;
exports.QDeclarativeRadio_StereoMode = QDeclarativeRadio_StereoMode;

(function (QDeclarativeRadio_StereoMode) {
  QDeclarativeRadio_StereoMode[QDeclarativeRadio_StereoMode["ForceStereo"] = 0] = "ForceStereo";
  QDeclarativeRadio_StereoMode[QDeclarativeRadio_StereoMode["ForceMono"] = 1] = "ForceMono";
  QDeclarativeRadio_StereoMode[QDeclarativeRadio_StereoMode["Auto"] = 2] = "Auto";
})(QDeclarativeRadio_StereoMode || (exports.QDeclarativeRadio_StereoMode = QDeclarativeRadio_StereoMode = {}));

var QDeclarativeRadio_SearchMode;
exports.QDeclarativeRadio_SearchMode = QDeclarativeRadio_SearchMode;

(function (QDeclarativeRadio_SearchMode) {
  QDeclarativeRadio_SearchMode[QDeclarativeRadio_SearchMode["SearchFast"] = 0] = "SearchFast";
  QDeclarativeRadio_SearchMode[QDeclarativeRadio_SearchMode["SearchGetStationId"] = 1] = "SearchGetStationId";
})(QDeclarativeRadio_SearchMode || (exports.QDeclarativeRadio_SearchMode = QDeclarativeRadio_SearchMode = {}));

var QDeclarativeRadio_Availability;
exports.QDeclarativeRadio_Availability = QDeclarativeRadio_Availability;

(function (QDeclarativeRadio_Availability) {
  QDeclarativeRadio_Availability[QDeclarativeRadio_Availability["Available"] = 0] = "Available";
  QDeclarativeRadio_Availability[QDeclarativeRadio_Availability["Busy"] = 2] = "Busy";
  QDeclarativeRadio_Availability[QDeclarativeRadio_Availability["Unavailable"] = 1] = "Unavailable";
  QDeclarativeRadio_Availability[QDeclarativeRadio_Availability["ResourceMissing"] = 3] = "ResourceMissing";
})(QDeclarativeRadio_Availability || (exports.QDeclarativeRadio_Availability = QDeclarativeRadio_Availability = {}));

var QDeclarativeRadioData_Error;
exports.QDeclarativeRadioData_Error = QDeclarativeRadioData_Error;

(function (QDeclarativeRadioData_Error) {
  QDeclarativeRadioData_Error[QDeclarativeRadioData_Error["NoError"] = 0] = "NoError";
  QDeclarativeRadioData_Error[QDeclarativeRadioData_Error["ResourceError"] = 1] = "ResourceError";
  QDeclarativeRadioData_Error[QDeclarativeRadioData_Error["OpenError"] = 2] = "OpenError";
  QDeclarativeRadioData_Error[QDeclarativeRadioData_Error["OutOfRangeError"] = 3] = "OutOfRangeError";
})(QDeclarativeRadioData_Error || (exports.QDeclarativeRadioData_Error = QDeclarativeRadioData_Error = {}));

var QDeclarativeRadioData_ProgramType;
exports.QDeclarativeRadioData_ProgramType = QDeclarativeRadioData_ProgramType;

(function (QDeclarativeRadioData_ProgramType) {
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Undefined"] = 0] = "Undefined";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["News"] = 1] = "News";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["CurrentAffairs"] = 2] = "CurrentAffairs";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Information"] = 3] = "Information";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Sport"] = 4] = "Sport";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Education"] = 5] = "Education";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Drama"] = 6] = "Drama";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Culture"] = 7] = "Culture";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Science"] = 8] = "Science";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Varied"] = 9] = "Varied";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["PopMusic"] = 10] = "PopMusic";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["RockMusic"] = 11] = "RockMusic";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["EasyListening"] = 12] = "EasyListening";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["LightClassical"] = 13] = "LightClassical";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["SeriousClassical"] = 14] = "SeriousClassical";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["OtherMusic"] = 15] = "OtherMusic";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Weather"] = 16] = "Weather";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Finance"] = 17] = "Finance";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["ChildrensProgrammes"] = 18] = "ChildrensProgrammes";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["SocialAffairs"] = 19] = "SocialAffairs";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Religion"] = 20] = "Religion";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["PhoneIn"] = 21] = "PhoneIn";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Travel"] = 22] = "Travel";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Leisure"] = 23] = "Leisure";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["JazzMusic"] = 24] = "JazzMusic";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["CountryMusic"] = 25] = "CountryMusic";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["NationalMusic"] = 26] = "NationalMusic";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["OldiesMusic"] = 27] = "OldiesMusic";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["FolkMusic"] = 28] = "FolkMusic";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Documentary"] = 29] = "Documentary";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["AlarmTest"] = 30] = "AlarmTest";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Alarm"] = 31] = "Alarm";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Talk"] = 32] = "Talk";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["ClassicRock"] = 33] = "ClassicRock";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["AdultHits"] = 34] = "AdultHits";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["SoftRock"] = 35] = "SoftRock";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Top40"] = 36] = "Top40";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Soft"] = 37] = "Soft";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Nostalgia"] = 38] = "Nostalgia";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Classical"] = 39] = "Classical";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["RhythmAndBlues"] = 40] = "RhythmAndBlues";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["SoftRhythmAndBlues"] = 41] = "SoftRhythmAndBlues";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Language"] = 42] = "Language";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["ReligiousMusic"] = 43] = "ReligiousMusic";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["ReligiousTalk"] = 44] = "ReligiousTalk";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Personality"] = 45] = "Personality";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["Public"] = 46] = "Public";
  QDeclarativeRadioData_ProgramType[QDeclarativeRadioData_ProgramType["College"] = 47] = "College";
})(QDeclarativeRadioData_ProgramType || (exports.QDeclarativeRadioData_ProgramType = QDeclarativeRadioData_ProgramType = {}));

var QDeclarativeRadioData_Availability;
exports.QDeclarativeRadioData_Availability = QDeclarativeRadioData_Availability;

(function (QDeclarativeRadioData_Availability) {
  QDeclarativeRadioData_Availability[QDeclarativeRadioData_Availability["Available"] = 0] = "Available";
  QDeclarativeRadioData_Availability[QDeclarativeRadioData_Availability["Busy"] = 2] = "Busy";
  QDeclarativeRadioData_Availability[QDeclarativeRadioData_Availability["Unavailable"] = 1] = "Unavailable";
  QDeclarativeRadioData_Availability[QDeclarativeRadioData_Availability["ResourceMissing"] = 3] = "ResourceMissing";
})(QDeclarativeRadioData_Availability || (exports.QDeclarativeRadioData_Availability = QDeclarativeRadioData_Availability = {}));

var QDeclarativeVideoOutput_FillMode;
exports.QDeclarativeVideoOutput_FillMode = QDeclarativeVideoOutput_FillMode;

(function (QDeclarativeVideoOutput_FillMode) {
  QDeclarativeVideoOutput_FillMode[QDeclarativeVideoOutput_FillMode["Stretch"] = 0] = "Stretch";
  QDeclarativeVideoOutput_FillMode[QDeclarativeVideoOutput_FillMode["PreserveAspectFit"] = 1] = "PreserveAspectFit";
  QDeclarativeVideoOutput_FillMode[QDeclarativeVideoOutput_FillMode["PreserveAspectCrop"] = 2] = "PreserveAspectCrop";
})(QDeclarativeVideoOutput_FillMode || (exports.QDeclarativeVideoOutput_FillMode = QDeclarativeVideoOutput_FillMode = {}));

var QSoundEffect_Loop;
exports.QSoundEffect_Loop = QSoundEffect_Loop;

(function (QSoundEffect_Loop) {
  QSoundEffect_Loop[QSoundEffect_Loop["Infinite"] = -2] = "Infinite";
})(QSoundEffect_Loop || (exports.QSoundEffect_Loop = QSoundEffect_Loop = {}));

var QSoundEffect_Status;
exports.QSoundEffect_Status = QSoundEffect_Status;

(function (QSoundEffect_Status) {
  QSoundEffect_Status[QSoundEffect_Status["Null"] = 0] = "Null";
  QSoundEffect_Status[QSoundEffect_Status["Loading"] = 1] = "Loading";
  QSoundEffect_Status[QSoundEffect_Status["Ready"] = 2] = "Ready";
  QSoundEffect_Status[QSoundEffect_Status["Error"] = 3] = "Error";
})(QSoundEffect_Status || (exports.QSoundEffect_Status = QSoundEffect_Status = {})); // end