"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.QQuickWanderAffector_AffectableParameters = exports.QQuickTrailEmitter_EmitSize = exports.QQuickParticleEmitter_Lifetime = exports.QQuickImageParticle_EntryEffect = exports.QQuickImageParticle_Status = exports.QQuickAttractorAffector_AffectableParameters = exports.QQuickAttractorAffector_Proportion = void 0;
// script: generateTypes, version: 0.3
// dependencies
var QQuickAttractorAffector_Proportion;
exports.QQuickAttractorAffector_Proportion = QQuickAttractorAffector_Proportion;

(function (QQuickAttractorAffector_Proportion) {
  QQuickAttractorAffector_Proportion[QQuickAttractorAffector_Proportion["Constant"] = 0] = "Constant";
  QQuickAttractorAffector_Proportion[QQuickAttractorAffector_Proportion["Linear"] = 1] = "Linear";
  QQuickAttractorAffector_Proportion[QQuickAttractorAffector_Proportion["Quadratic"] = 2] = "Quadratic";
  QQuickAttractorAffector_Proportion[QQuickAttractorAffector_Proportion["InverseLinear"] = 3] = "InverseLinear";
  QQuickAttractorAffector_Proportion[QQuickAttractorAffector_Proportion["InverseQuadratic"] = 4] = "InverseQuadratic";
})(QQuickAttractorAffector_Proportion || (exports.QQuickAttractorAffector_Proportion = QQuickAttractorAffector_Proportion = {}));

var QQuickAttractorAffector_AffectableParameters;
exports.QQuickAttractorAffector_AffectableParameters = QQuickAttractorAffector_AffectableParameters;

(function (QQuickAttractorAffector_AffectableParameters) {
  QQuickAttractorAffector_AffectableParameters[QQuickAttractorAffector_AffectableParameters["Position"] = 0] = "Position";
  QQuickAttractorAffector_AffectableParameters[QQuickAttractorAffector_AffectableParameters["Velocity"] = 1] = "Velocity";
  QQuickAttractorAffector_AffectableParameters[QQuickAttractorAffector_AffectableParameters["Acceleration"] = 2] = "Acceleration";
})(QQuickAttractorAffector_AffectableParameters || (exports.QQuickAttractorAffector_AffectableParameters = QQuickAttractorAffector_AffectableParameters = {}));

var QQuickImageParticle_Status;
exports.QQuickImageParticle_Status = QQuickImageParticle_Status;

(function (QQuickImageParticle_Status) {
  QQuickImageParticle_Status[QQuickImageParticle_Status["Null"] = 0] = "Null";
  QQuickImageParticle_Status[QQuickImageParticle_Status["Ready"] = 1] = "Ready";
  QQuickImageParticle_Status[QQuickImageParticle_Status["Loading"] = 2] = "Loading";
  QQuickImageParticle_Status[QQuickImageParticle_Status["Error"] = 3] = "Error";
})(QQuickImageParticle_Status || (exports.QQuickImageParticle_Status = QQuickImageParticle_Status = {}));

var QQuickImageParticle_EntryEffect;
exports.QQuickImageParticle_EntryEffect = QQuickImageParticle_EntryEffect;

(function (QQuickImageParticle_EntryEffect) {
  QQuickImageParticle_EntryEffect[QQuickImageParticle_EntryEffect["None"] = 0] = "None";
  QQuickImageParticle_EntryEffect[QQuickImageParticle_EntryEffect["Fade"] = 1] = "Fade";
  QQuickImageParticle_EntryEffect[QQuickImageParticle_EntryEffect["Scale"] = 2] = "Scale";
})(QQuickImageParticle_EntryEffect || (exports.QQuickImageParticle_EntryEffect = QQuickImageParticle_EntryEffect = {}));

var QQuickParticleEmitter_Lifetime;
exports.QQuickParticleEmitter_Lifetime = QQuickParticleEmitter_Lifetime;

(function (QQuickParticleEmitter_Lifetime) {
  QQuickParticleEmitter_Lifetime[QQuickParticleEmitter_Lifetime["InfiniteLife"] = 600000] = "InfiniteLife";
})(QQuickParticleEmitter_Lifetime || (exports.QQuickParticleEmitter_Lifetime = QQuickParticleEmitter_Lifetime = {}));

var QQuickTrailEmitter_EmitSize;
exports.QQuickTrailEmitter_EmitSize = QQuickTrailEmitter_EmitSize;

(function (QQuickTrailEmitter_EmitSize) {
  QQuickTrailEmitter_EmitSize[QQuickTrailEmitter_EmitSize["ParticleSize"] = -2] = "ParticleSize";
})(QQuickTrailEmitter_EmitSize || (exports.QQuickTrailEmitter_EmitSize = QQuickTrailEmitter_EmitSize = {}));

var QQuickWanderAffector_AffectableParameters;
exports.QQuickWanderAffector_AffectableParameters = QQuickWanderAffector_AffectableParameters;

(function (QQuickWanderAffector_AffectableParameters) {
  QQuickWanderAffector_AffectableParameters[QQuickWanderAffector_AffectableParameters["Position"] = 0] = "Position";
  QQuickWanderAffector_AffectableParameters[QQuickWanderAffector_AffectableParameters["Velocity"] = 1] = "Velocity";
  QQuickWanderAffector_AffectableParameters[QQuickWanderAffector_AffectableParameters["Acceleration"] = 2] = "Acceleration";
})(QQuickWanderAffector_AffectableParameters || (exports.QQuickWanderAffector_AffectableParameters = QQuickWanderAffector_AffectableParameters = {})); // end