"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.QQuickShapePath_StrokeStyle = exports.QQuickShapePath_CapStyle = exports.QQuickShapePath_JoinStyle = exports.QQuickShapePath_FillRule = exports.QQuickShapeGradient_SpreadMode = exports.QQuickShape_Status = exports.QQuickShape_RendererType = void 0;
// script: generateTypes, version: 0.3
// dependencies
var QQuickShape_RendererType;
exports.QQuickShape_RendererType = QQuickShape_RendererType;

(function (QQuickShape_RendererType) {
  QQuickShape_RendererType[QQuickShape_RendererType["UnknownRenderer"] = 0] = "UnknownRenderer";
  QQuickShape_RendererType[QQuickShape_RendererType["GeometryRenderer"] = 1] = "GeometryRenderer";
  QQuickShape_RendererType[QQuickShape_RendererType["NvprRenderer"] = 2] = "NvprRenderer";
  QQuickShape_RendererType[QQuickShape_RendererType["SoftwareRenderer"] = 3] = "SoftwareRenderer";
})(QQuickShape_RendererType || (exports.QQuickShape_RendererType = QQuickShape_RendererType = {}));

var QQuickShape_Status;
exports.QQuickShape_Status = QQuickShape_Status;

(function (QQuickShape_Status) {
  QQuickShape_Status[QQuickShape_Status["Null"] = 0] = "Null";
  QQuickShape_Status[QQuickShape_Status["Ready"] = 1] = "Ready";
  QQuickShape_Status[QQuickShape_Status["Processing"] = 2] = "Processing";
})(QQuickShape_Status || (exports.QQuickShape_Status = QQuickShape_Status = {}));

var QQuickShapeGradient_SpreadMode;
exports.QQuickShapeGradient_SpreadMode = QQuickShapeGradient_SpreadMode;

(function (QQuickShapeGradient_SpreadMode) {
  QQuickShapeGradient_SpreadMode[QQuickShapeGradient_SpreadMode["PadSpread"] = 0] = "PadSpread";
  QQuickShapeGradient_SpreadMode[QQuickShapeGradient_SpreadMode["RepeatSpread"] = 1] = "RepeatSpread";
  QQuickShapeGradient_SpreadMode[QQuickShapeGradient_SpreadMode["ReflectSpread"] = 2] = "ReflectSpread";
})(QQuickShapeGradient_SpreadMode || (exports.QQuickShapeGradient_SpreadMode = QQuickShapeGradient_SpreadMode = {}));

var QQuickShapePath_FillRule;
exports.QQuickShapePath_FillRule = QQuickShapePath_FillRule;

(function (QQuickShapePath_FillRule) {
  QQuickShapePath_FillRule[QQuickShapePath_FillRule["OddEvenFill"] = 0] = "OddEvenFill";
  QQuickShapePath_FillRule[QQuickShapePath_FillRule["WindingFill"] = 1] = "WindingFill";
})(QQuickShapePath_FillRule || (exports.QQuickShapePath_FillRule = QQuickShapePath_FillRule = {}));

var QQuickShapePath_JoinStyle;
exports.QQuickShapePath_JoinStyle = QQuickShapePath_JoinStyle;

(function (QQuickShapePath_JoinStyle) {
  QQuickShapePath_JoinStyle[QQuickShapePath_JoinStyle["MiterJoin"] = 0] = "MiterJoin";
  QQuickShapePath_JoinStyle[QQuickShapePath_JoinStyle["BevelJoin"] = 64] = "BevelJoin";
  QQuickShapePath_JoinStyle[QQuickShapePath_JoinStyle["RoundJoin"] = 128] = "RoundJoin";
})(QQuickShapePath_JoinStyle || (exports.QQuickShapePath_JoinStyle = QQuickShapePath_JoinStyle = {}));

var QQuickShapePath_CapStyle;
exports.QQuickShapePath_CapStyle = QQuickShapePath_CapStyle;

(function (QQuickShapePath_CapStyle) {
  QQuickShapePath_CapStyle[QQuickShapePath_CapStyle["FlatCap"] = 0] = "FlatCap";
  QQuickShapePath_CapStyle[QQuickShapePath_CapStyle["SquareCap"] = 16] = "SquareCap";
  QQuickShapePath_CapStyle[QQuickShapePath_CapStyle["RoundCap"] = 32] = "RoundCap";
})(QQuickShapePath_CapStyle || (exports.QQuickShapePath_CapStyle = QQuickShapePath_CapStyle = {}));

var QQuickShapePath_StrokeStyle;
exports.QQuickShapePath_StrokeStyle = QQuickShapePath_StrokeStyle;

(function (QQuickShapePath_StrokeStyle) {
  QQuickShapePath_StrokeStyle[QQuickShapePath_StrokeStyle["SolidLine"] = 1] = "SolidLine";
  QQuickShapePath_StrokeStyle[QQuickShapePath_StrokeStyle["DashLine"] = 2] = "DashLine";
})(QQuickShapePath_StrokeStyle || (exports.QQuickShapePath_StrokeStyle = QQuickShapePath_StrokeStyle = {})); // end