import { RegistryComponentMetadata } from '../common/AppRegistry';
export declare type RQElementMeasureCallback = (x: number, y: number, width: number, height: number, pageX: number, pageY: number) => void;
declare class RQElementContainer {
    readonly element: Qml.QmlElement;
    readonly metadata: RegistryComponentMetadata;
    readonly viewTag: number;
    parent: RQElementContainer | undefined;
    private children;
    constructor(element: Qml.QmlElement, metadata: RegistryComponentMetadata, parent?: RQElementContainer);
    setNativeProps(props: any): void;
    measure(callback: RQElementMeasureCallback): void;
    getViewTag(): number;
    appendChild(child: RQElementContainer): void;
    removeChild(child: RQElementContainer): void;
    removeAllChildren(): void;
}
export default RQElementContainer;
