import RQElementContainer from './RQElementContainer';
declare function getHostContext(rootContainerInstance: RQElementContainer): RQElementContainer;
declare function createElementContainer(type: string, props: object, rootContainerInstance: RQElementContainer, hostContext: RQElementContainer): RQElementContainer;
declare function appendChild(parentContainer: RQElementContainer, childContainer: RQElementContainer): void;
declare function removeAllChildren(rootContext: RQElementContainer): void;
declare function removeChild(parentContainer: RQElementContainer, childContainer: RQElementContainer): void;
declare function insertBefore(parent: RQElementContainer, child: RQElementContainer, beforeChild: RQElementContainer): void;
declare const UIManager: {
    getHostContext: typeof getHostContext;
    createElementContainer: typeof createElementContainer;
    appendChild: typeof appendChild;
    removeAllChildren: typeof removeAllChildren;
    removeChild: typeof removeChild;
    insertBefore: typeof insertBefore;
};
export default UIManager;
