"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.QQuickViewSection_LabelPositioning = exports.QQuickViewSection_SectionCriteria = exports.QQuickTextInput_RenderType = exports.QQuickTextInput_CursorPosition = exports.QQuickTextInput_SelectionMode = exports.QQuickTextInput_WrapMode = exports.QQuickTextInput_VAlignment = exports.QQuickTextInput_HAlignment = exports.QQuickTextInput_EchoMode = exports.QQuickTextEdit_RenderType = exports.QQuickTextEdit_SelectionMode = exports.QQuickTextEdit_WrapMode = exports.QQuickTextEdit_TextFormat = exports.QQuickTextEdit_VAlignment = exports.QQuickTextEdit_HAlignment = exports.QQuickText_FontSizeMode = exports.QQuickText_LineHeightMode = exports.QQuickText_RenderType = exports.QQuickText_WrapMode = exports.QQuickText_TextElideMode = exports.QQuickText_TextFormat = exports.QQuickText_TextStyle = exports.QQuickText_VAlignment = exports.QQuickText_HAlignment = exports.QQuickSystemPalette_ColorGroup = exports.QQuickSmoothedAnimation_ReversingMode = exports.QQuickShaderEffectSource_TextureMirroring = exports.QQuickShaderEffectSource_Format = exports.QQuickShaderEffectSource_WrapMode = exports.QQuickShaderEffect_Status = exports.QQuickShaderEffect_CullMode = exports.QQuickRotationAnimator_RotationDirection = exports.QQuickRotationAnimation_RotationDirection = exports.QQuickPinch_Axis = exports.QQuickPathView_PositionMode = exports.QQuickPathView_MovementDirection = exports.QQuickPathView_SnapMode = exports.QQuickPathView_HighlightRangeMode = exports.QQuickPathArc_ArcDirection = exports.QQuickPathAnimation_Orientation = exports.QQuickPaintedItem_RenderTarget = exports.QQuickOpenGLInfo_RenderableType = exports.QQuickOpenGLInfo_ContextProfile = exports.QQuickLoader_Status = exports.QQuickListView_FooterPositioning = exports.QQuickListView_HeaderPositioning = exports.QQuickListView_SnapMode = exports.QQuickListView_Orientation = exports.QQuickKeysAttached_Priority = exports.QQuickKeyNavigationAttached_Priority = exports.QQuickItemView_PositionMode = exports.QQuickItemView_HighlightRangeMode = exports.QQuickItemView_VerticalLayoutDirection = exports.QQuickItemView_LayoutDirection = exports.QQuickItem_TransformOrigin = exports.QQuickImageBase_Status = exports.QQuickImage_FillMode = exports.QQuickImage_VAlignment = exports.QQuickImage_HAlignment = exports.QQuickGridView_SnapMode = exports.QQuickGridView_Flow = exports.QQuickGrid_VAlignment = exports.QQuickGrid_HAlignment = exports.QQuickGrid_Flow = exports.QQuickGraphicsInfo_RenderableType = exports.QQuickGraphicsInfo_OpenGLContextProfile = exports.QQuickGraphicsInfo_ShaderSourceType = exports.QQuickGraphicsInfo_ShaderCompilationType = exports.QQuickGraphicsInfo_ShaderType = exports.QQuickGraphicsInfo_GraphicsApi = exports.QQuickFontValueType_HintingPreference = exports.QQuickFontValueType_Capitalization = exports.QQuickFontValueType_FontWeight = exports.QQuickFontLoader_Status = exports.QQuickFlow_Flow = exports.QQuickFlipable_Side = exports.QQuickFlickable_FlickableDirection = exports.QQuickFlickable_BoundsMovement = exports.QQuickFlickable_BoundsBehavior = exports.QQuickDrag_Axis = exports.QQuickDrag_DragType = exports.QQuickCanvasItem_RenderStrategy = exports.QQuickCanvasItem_RenderTarget = exports.QQuickBorderImageMesh_TileMode = exports.QQuickBorderImage_TileMode = exports.QQuickAnimatedSprite_LoopParameters = exports.QQuickAbstractAnimation_Loops = exports.QQmlEasingValueType_Type = exports.QKeySequence_StandardKey = exports.QInputMethod_Action = exports.QDoubleValidator_Notation = exports.QAbstractItemModel_LayoutChangeHint = void 0;
// script: generateTypes, version: 0.3
// dependencies
var QAbstractItemModel_LayoutChangeHint;
exports.QAbstractItemModel_LayoutChangeHint = QAbstractItemModel_LayoutChangeHint;

(function (QAbstractItemModel_LayoutChangeHint) {
  QAbstractItemModel_LayoutChangeHint[QAbstractItemModel_LayoutChangeHint["NoLayoutChangeHint"] = 0] = "NoLayoutChangeHint";
  QAbstractItemModel_LayoutChangeHint[QAbstractItemModel_LayoutChangeHint["VerticalSortHint"] = 1] = "VerticalSortHint";
  QAbstractItemModel_LayoutChangeHint[QAbstractItemModel_LayoutChangeHint["HorizontalSortHint"] = 2] = "HorizontalSortHint";
})(QAbstractItemModel_LayoutChangeHint || (exports.QAbstractItemModel_LayoutChangeHint = QAbstractItemModel_LayoutChangeHint = {}));

var QDoubleValidator_Notation;
exports.QDoubleValidator_Notation = QDoubleValidator_Notation;

(function (QDoubleValidator_Notation) {
  QDoubleValidator_Notation[QDoubleValidator_Notation["StandardNotation"] = 0] = "StandardNotation";
  QDoubleValidator_Notation[QDoubleValidator_Notation["ScientificNotation"] = 1] = "ScientificNotation";
})(QDoubleValidator_Notation || (exports.QDoubleValidator_Notation = QDoubleValidator_Notation = {}));

var QInputMethod_Action;
exports.QInputMethod_Action = QInputMethod_Action;

(function (QInputMethod_Action) {
  QInputMethod_Action[QInputMethod_Action["Click"] = 0] = "Click";
  QInputMethod_Action[QInputMethod_Action["ContextMenu"] = 1] = "ContextMenu";
})(QInputMethod_Action || (exports.QInputMethod_Action = QInputMethod_Action = {}));

var QKeySequence_StandardKey;
exports.QKeySequence_StandardKey = QKeySequence_StandardKey;

(function (QKeySequence_StandardKey) {
  QKeySequence_StandardKey[QKeySequence_StandardKey["UnknownKey"] = 0] = "UnknownKey";
  QKeySequence_StandardKey[QKeySequence_StandardKey["HelpContents"] = 1] = "HelpContents";
  QKeySequence_StandardKey[QKeySequence_StandardKey["WhatsThis"] = 2] = "WhatsThis";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Open"] = 3] = "Open";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Close"] = 4] = "Close";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Save"] = 5] = "Save";
  QKeySequence_StandardKey[QKeySequence_StandardKey["New"] = 6] = "New";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Delete"] = 7] = "Delete";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Cut"] = 8] = "Cut";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Copy"] = 9] = "Copy";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Paste"] = 10] = "Paste";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Undo"] = 11] = "Undo";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Redo"] = 12] = "Redo";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Back"] = 13] = "Back";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Forward"] = 14] = "Forward";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Refresh"] = 15] = "Refresh";
  QKeySequence_StandardKey[QKeySequence_StandardKey["ZoomIn"] = 16] = "ZoomIn";
  QKeySequence_StandardKey[QKeySequence_StandardKey["ZoomOut"] = 17] = "ZoomOut";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Print"] = 18] = "Print";
  QKeySequence_StandardKey[QKeySequence_StandardKey["AddTab"] = 19] = "AddTab";
  QKeySequence_StandardKey[QKeySequence_StandardKey["NextChild"] = 20] = "NextChild";
  QKeySequence_StandardKey[QKeySequence_StandardKey["PreviousChild"] = 21] = "PreviousChild";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Find"] = 22] = "Find";
  QKeySequence_StandardKey[QKeySequence_StandardKey["FindNext"] = 23] = "FindNext";
  QKeySequence_StandardKey[QKeySequence_StandardKey["FindPrevious"] = 24] = "FindPrevious";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Replace"] = 25] = "Replace";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectAll"] = 26] = "SelectAll";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Bold"] = 27] = "Bold";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Italic"] = 28] = "Italic";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Underline"] = 29] = "Underline";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToNextChar"] = 30] = "MoveToNextChar";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToPreviousChar"] = 31] = "MoveToPreviousChar";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToNextWord"] = 32] = "MoveToNextWord";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToPreviousWord"] = 33] = "MoveToPreviousWord";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToNextLine"] = 34] = "MoveToNextLine";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToPreviousLine"] = 35] = "MoveToPreviousLine";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToNextPage"] = 36] = "MoveToNextPage";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToPreviousPage"] = 37] = "MoveToPreviousPage";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToStartOfLine"] = 38] = "MoveToStartOfLine";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToEndOfLine"] = 39] = "MoveToEndOfLine";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToStartOfBlock"] = 40] = "MoveToStartOfBlock";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToEndOfBlock"] = 41] = "MoveToEndOfBlock";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToStartOfDocument"] = 42] = "MoveToStartOfDocument";
  QKeySequence_StandardKey[QKeySequence_StandardKey["MoveToEndOfDocument"] = 43] = "MoveToEndOfDocument";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectNextChar"] = 44] = "SelectNextChar";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectPreviousChar"] = 45] = "SelectPreviousChar";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectNextWord"] = 46] = "SelectNextWord";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectPreviousWord"] = 47] = "SelectPreviousWord";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectNextLine"] = 48] = "SelectNextLine";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectPreviousLine"] = 49] = "SelectPreviousLine";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectNextPage"] = 50] = "SelectNextPage";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectPreviousPage"] = 51] = "SelectPreviousPage";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectStartOfLine"] = 52] = "SelectStartOfLine";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectEndOfLine"] = 53] = "SelectEndOfLine";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectStartOfBlock"] = 54] = "SelectStartOfBlock";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectEndOfBlock"] = 55] = "SelectEndOfBlock";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectStartOfDocument"] = 56] = "SelectStartOfDocument";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SelectEndOfDocument"] = 57] = "SelectEndOfDocument";
  QKeySequence_StandardKey[QKeySequence_StandardKey["DeleteStartOfWord"] = 58] = "DeleteStartOfWord";
  QKeySequence_StandardKey[QKeySequence_StandardKey["DeleteEndOfWord"] = 59] = "DeleteEndOfWord";
  QKeySequence_StandardKey[QKeySequence_StandardKey["DeleteEndOfLine"] = 60] = "DeleteEndOfLine";
  QKeySequence_StandardKey[QKeySequence_StandardKey["InsertParagraphSeparator"] = 61] = "InsertParagraphSeparator";
  QKeySequence_StandardKey[QKeySequence_StandardKey["InsertLineSeparator"] = 62] = "InsertLineSeparator";
  QKeySequence_StandardKey[QKeySequence_StandardKey["SaveAs"] = 63] = "SaveAs";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Preferences"] = 64] = "Preferences";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Quit"] = 65] = "Quit";
  QKeySequence_StandardKey[QKeySequence_StandardKey["FullScreen"] = 66] = "FullScreen";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Deselect"] = 67] = "Deselect";
  QKeySequence_StandardKey[QKeySequence_StandardKey["DeleteCompleteLine"] = 68] = "DeleteCompleteLine";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Backspace"] = 69] = "Backspace";
  QKeySequence_StandardKey[QKeySequence_StandardKey["Cancel"] = 70] = "Cancel";
})(QKeySequence_StandardKey || (exports.QKeySequence_StandardKey = QKeySequence_StandardKey = {}));

var QQmlEasingValueType_Type;
exports.QQmlEasingValueType_Type = QQmlEasingValueType_Type;

(function (QQmlEasingValueType_Type) {
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["Linear"] = 0] = "Linear";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InQuad"] = 1] = "InQuad";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutQuad"] = 2] = "OutQuad";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InOutQuad"] = 3] = "InOutQuad";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutInQuad"] = 4] = "OutInQuad";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InCubic"] = 5] = "InCubic";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutCubic"] = 6] = "OutCubic";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InOutCubic"] = 7] = "InOutCubic";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutInCubic"] = 8] = "OutInCubic";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InQuart"] = 9] = "InQuart";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutQuart"] = 10] = "OutQuart";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InOutQuart"] = 11] = "InOutQuart";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutInQuart"] = 12] = "OutInQuart";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InQuint"] = 13] = "InQuint";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutQuint"] = 14] = "OutQuint";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InOutQuint"] = 15] = "InOutQuint";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutInQuint"] = 16] = "OutInQuint";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InSine"] = 17] = "InSine";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutSine"] = 18] = "OutSine";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InOutSine"] = 19] = "InOutSine";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutInSine"] = 20] = "OutInSine";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InExpo"] = 21] = "InExpo";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutExpo"] = 22] = "OutExpo";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InOutExpo"] = 23] = "InOutExpo";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutInExpo"] = 24] = "OutInExpo";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InCirc"] = 25] = "InCirc";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutCirc"] = 26] = "OutCirc";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InOutCirc"] = 27] = "InOutCirc";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutInCirc"] = 28] = "OutInCirc";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InElastic"] = 29] = "InElastic";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutElastic"] = 30] = "OutElastic";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InOutElastic"] = 31] = "InOutElastic";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutInElastic"] = 32] = "OutInElastic";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InBack"] = 33] = "InBack";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutBack"] = 34] = "OutBack";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InOutBack"] = 35] = "InOutBack";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutInBack"] = 36] = "OutInBack";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InBounce"] = 37] = "InBounce";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutBounce"] = 38] = "OutBounce";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InOutBounce"] = 39] = "InOutBounce";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutInBounce"] = 40] = "OutInBounce";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["InCurve"] = 41] = "InCurve";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["OutCurve"] = 42] = "OutCurve";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["SineCurve"] = 43] = "SineCurve";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["CosineCurve"] = 44] = "CosineCurve";
  QQmlEasingValueType_Type[QQmlEasingValueType_Type["Bezier"] = 45] = "Bezier";
})(QQmlEasingValueType_Type || (exports.QQmlEasingValueType_Type = QQmlEasingValueType_Type = {}));

var QQuickAbstractAnimation_Loops;
exports.QQuickAbstractAnimation_Loops = QQuickAbstractAnimation_Loops;

(function (QQuickAbstractAnimation_Loops) {
  QQuickAbstractAnimation_Loops[QQuickAbstractAnimation_Loops["Infinite"] = -2] = "Infinite";
})(QQuickAbstractAnimation_Loops || (exports.QQuickAbstractAnimation_Loops = QQuickAbstractAnimation_Loops = {}));

var QQuickAnimatedSprite_LoopParameters;
exports.QQuickAnimatedSprite_LoopParameters = QQuickAnimatedSprite_LoopParameters;

(function (QQuickAnimatedSprite_LoopParameters) {
  QQuickAnimatedSprite_LoopParameters[QQuickAnimatedSprite_LoopParameters["Infinite"] = -1] = "Infinite";
})(QQuickAnimatedSprite_LoopParameters || (exports.QQuickAnimatedSprite_LoopParameters = QQuickAnimatedSprite_LoopParameters = {}));

var QQuickBorderImage_TileMode;
exports.QQuickBorderImage_TileMode = QQuickBorderImage_TileMode;

(function (QQuickBorderImage_TileMode) {
  QQuickBorderImage_TileMode[QQuickBorderImage_TileMode["Stretch"] = 0] = "Stretch";
  QQuickBorderImage_TileMode[QQuickBorderImage_TileMode["Repeat"] = 1] = "Repeat";
  QQuickBorderImage_TileMode[QQuickBorderImage_TileMode["Round"] = 2] = "Round";
})(QQuickBorderImage_TileMode || (exports.QQuickBorderImage_TileMode = QQuickBorderImage_TileMode = {}));

var QQuickBorderImageMesh_TileMode;
exports.QQuickBorderImageMesh_TileMode = QQuickBorderImageMesh_TileMode;

(function (QQuickBorderImageMesh_TileMode) {
  QQuickBorderImageMesh_TileMode[QQuickBorderImageMesh_TileMode["Stretch"] = 0] = "Stretch";
  QQuickBorderImageMesh_TileMode[QQuickBorderImageMesh_TileMode["Repeat"] = 1] = "Repeat";
  QQuickBorderImageMesh_TileMode[QQuickBorderImageMesh_TileMode["Round"] = 2] = "Round";
})(QQuickBorderImageMesh_TileMode || (exports.QQuickBorderImageMesh_TileMode = QQuickBorderImageMesh_TileMode = {}));

var QQuickCanvasItem_RenderTarget;
exports.QQuickCanvasItem_RenderTarget = QQuickCanvasItem_RenderTarget;

(function (QQuickCanvasItem_RenderTarget) {
  QQuickCanvasItem_RenderTarget[QQuickCanvasItem_RenderTarget["Image"] = 0] = "Image";
  QQuickCanvasItem_RenderTarget[QQuickCanvasItem_RenderTarget["FramebufferObject"] = 1] = "FramebufferObject";
})(QQuickCanvasItem_RenderTarget || (exports.QQuickCanvasItem_RenderTarget = QQuickCanvasItem_RenderTarget = {}));

var QQuickCanvasItem_RenderStrategy;
exports.QQuickCanvasItem_RenderStrategy = QQuickCanvasItem_RenderStrategy;

(function (QQuickCanvasItem_RenderStrategy) {
  QQuickCanvasItem_RenderStrategy[QQuickCanvasItem_RenderStrategy["Immediate"] = 0] = "Immediate";
  QQuickCanvasItem_RenderStrategy[QQuickCanvasItem_RenderStrategy["Threaded"] = 1] = "Threaded";
  QQuickCanvasItem_RenderStrategy[QQuickCanvasItem_RenderStrategy["Cooperative"] = 2] = "Cooperative";
})(QQuickCanvasItem_RenderStrategy || (exports.QQuickCanvasItem_RenderStrategy = QQuickCanvasItem_RenderStrategy = {}));

var QQuickDrag_DragType;
exports.QQuickDrag_DragType = QQuickDrag_DragType;

(function (QQuickDrag_DragType) {
  QQuickDrag_DragType[QQuickDrag_DragType["None"] = 0] = "None";
  QQuickDrag_DragType[QQuickDrag_DragType["Automatic"] = 1] = "Automatic";
  QQuickDrag_DragType[QQuickDrag_DragType["Internal"] = 2] = "Internal";
})(QQuickDrag_DragType || (exports.QQuickDrag_DragType = QQuickDrag_DragType = {}));

var QQuickDrag_Axis;
exports.QQuickDrag_Axis = QQuickDrag_Axis;

(function (QQuickDrag_Axis) {
  QQuickDrag_Axis[QQuickDrag_Axis["XAxis"] = 1] = "XAxis";
  QQuickDrag_Axis[QQuickDrag_Axis["YAxis"] = 2] = "YAxis";
  QQuickDrag_Axis[QQuickDrag_Axis["XAndYAxis"] = 3] = "XAndYAxis";
  QQuickDrag_Axis[QQuickDrag_Axis["XandYAxis"] = 3] = "XandYAxis";
})(QQuickDrag_Axis || (exports.QQuickDrag_Axis = QQuickDrag_Axis = {}));

var QQuickFlickable_BoundsBehavior;
exports.QQuickFlickable_BoundsBehavior = QQuickFlickable_BoundsBehavior;

(function (QQuickFlickable_BoundsBehavior) {
  QQuickFlickable_BoundsBehavior[QQuickFlickable_BoundsBehavior["StopAtBounds"] = 0] = "StopAtBounds";
  QQuickFlickable_BoundsBehavior[QQuickFlickable_BoundsBehavior["DragOverBounds"] = 1] = "DragOverBounds";
  QQuickFlickable_BoundsBehavior[QQuickFlickable_BoundsBehavior["OvershootBounds"] = 2] = "OvershootBounds";
  QQuickFlickable_BoundsBehavior[QQuickFlickable_BoundsBehavior["DragAndOvershootBounds"] = 3] = "DragAndOvershootBounds";
})(QQuickFlickable_BoundsBehavior || (exports.QQuickFlickable_BoundsBehavior = QQuickFlickable_BoundsBehavior = {}));

var QQuickFlickable_BoundsMovement;
exports.QQuickFlickable_BoundsMovement = QQuickFlickable_BoundsMovement;

(function (QQuickFlickable_BoundsMovement) {
  QQuickFlickable_BoundsMovement[QQuickFlickable_BoundsMovement["FollowBoundsBehavior"] = 1] = "FollowBoundsBehavior";
})(QQuickFlickable_BoundsMovement || (exports.QQuickFlickable_BoundsMovement = QQuickFlickable_BoundsMovement = {}));

var QQuickFlickable_FlickableDirection;
exports.QQuickFlickable_FlickableDirection = QQuickFlickable_FlickableDirection;

(function (QQuickFlickable_FlickableDirection) {
  QQuickFlickable_FlickableDirection[QQuickFlickable_FlickableDirection["AutoFlickDirection"] = 0] = "AutoFlickDirection";
  QQuickFlickable_FlickableDirection[QQuickFlickable_FlickableDirection["HorizontalFlick"] = 1] = "HorizontalFlick";
  QQuickFlickable_FlickableDirection[QQuickFlickable_FlickableDirection["VerticalFlick"] = 2] = "VerticalFlick";
  QQuickFlickable_FlickableDirection[QQuickFlickable_FlickableDirection["HorizontalAndVerticalFlick"] = 3] = "HorizontalAndVerticalFlick";
  QQuickFlickable_FlickableDirection[QQuickFlickable_FlickableDirection["AutoFlickIfNeeded"] = 12] = "AutoFlickIfNeeded";
})(QQuickFlickable_FlickableDirection || (exports.QQuickFlickable_FlickableDirection = QQuickFlickable_FlickableDirection = {}));

var QQuickFlipable_Side;
exports.QQuickFlipable_Side = QQuickFlipable_Side;

(function (QQuickFlipable_Side) {
  QQuickFlipable_Side[QQuickFlipable_Side["Front"] = 0] = "Front";
  QQuickFlipable_Side[QQuickFlipable_Side["Back"] = 1] = "Back";
})(QQuickFlipable_Side || (exports.QQuickFlipable_Side = QQuickFlipable_Side = {}));

var QQuickFlow_Flow;
exports.QQuickFlow_Flow = QQuickFlow_Flow;

(function (QQuickFlow_Flow) {
  QQuickFlow_Flow[QQuickFlow_Flow["LeftToRight"] = 0] = "LeftToRight";
  QQuickFlow_Flow[QQuickFlow_Flow["TopToBottom"] = 1] = "TopToBottom";
})(QQuickFlow_Flow || (exports.QQuickFlow_Flow = QQuickFlow_Flow = {}));

var QQuickFontLoader_Status;
exports.QQuickFontLoader_Status = QQuickFontLoader_Status;

(function (QQuickFontLoader_Status) {
  QQuickFontLoader_Status[QQuickFontLoader_Status["Null"] = 0] = "Null";
  QQuickFontLoader_Status[QQuickFontLoader_Status["Ready"] = 1] = "Ready";
  QQuickFontLoader_Status[QQuickFontLoader_Status["Loading"] = 2] = "Loading";
  QQuickFontLoader_Status[QQuickFontLoader_Status["Error"] = 3] = "Error";
})(QQuickFontLoader_Status || (exports.QQuickFontLoader_Status = QQuickFontLoader_Status = {}));

var QQuickFontValueType_FontWeight;
exports.QQuickFontValueType_FontWeight = QQuickFontValueType_FontWeight;

(function (QQuickFontValueType_FontWeight) {
  QQuickFontValueType_FontWeight[QQuickFontValueType_FontWeight["Thin"] = 0] = "Thin";
  QQuickFontValueType_FontWeight[QQuickFontValueType_FontWeight["ExtraLight"] = 12] = "ExtraLight";
  QQuickFontValueType_FontWeight[QQuickFontValueType_FontWeight["Light"] = 25] = "Light";
  QQuickFontValueType_FontWeight[QQuickFontValueType_FontWeight["Normal"] = 50] = "Normal";
  QQuickFontValueType_FontWeight[QQuickFontValueType_FontWeight["Medium"] = 57] = "Medium";
  QQuickFontValueType_FontWeight[QQuickFontValueType_FontWeight["DemiBold"] = 63] = "DemiBold";
  QQuickFontValueType_FontWeight[QQuickFontValueType_FontWeight["Bold"] = 75] = "Bold";
  QQuickFontValueType_FontWeight[QQuickFontValueType_FontWeight["ExtraBold"] = 81] = "ExtraBold";
  QQuickFontValueType_FontWeight[QQuickFontValueType_FontWeight["Black"] = 87] = "Black";
})(QQuickFontValueType_FontWeight || (exports.QQuickFontValueType_FontWeight = QQuickFontValueType_FontWeight = {}));

var QQuickFontValueType_Capitalization;
exports.QQuickFontValueType_Capitalization = QQuickFontValueType_Capitalization;

(function (QQuickFontValueType_Capitalization) {
  QQuickFontValueType_Capitalization[QQuickFontValueType_Capitalization["MixedCase"] = 0] = "MixedCase";
  QQuickFontValueType_Capitalization[QQuickFontValueType_Capitalization["AllUppercase"] = 1] = "AllUppercase";
  QQuickFontValueType_Capitalization[QQuickFontValueType_Capitalization["AllLowercase"] = 2] = "AllLowercase";
  QQuickFontValueType_Capitalization[QQuickFontValueType_Capitalization["SmallCaps"] = 3] = "SmallCaps";
  QQuickFontValueType_Capitalization[QQuickFontValueType_Capitalization["Capitalize"] = 4] = "Capitalize";
})(QQuickFontValueType_Capitalization || (exports.QQuickFontValueType_Capitalization = QQuickFontValueType_Capitalization = {}));

var QQuickFontValueType_HintingPreference;
exports.QQuickFontValueType_HintingPreference = QQuickFontValueType_HintingPreference;

(function (QQuickFontValueType_HintingPreference) {
  QQuickFontValueType_HintingPreference[QQuickFontValueType_HintingPreference["PreferDefaultHinting"] = 0] = "PreferDefaultHinting";
  QQuickFontValueType_HintingPreference[QQuickFontValueType_HintingPreference["PreferNoHinting"] = 1] = "PreferNoHinting";
  QQuickFontValueType_HintingPreference[QQuickFontValueType_HintingPreference["PreferVerticalHinting"] = 2] = "PreferVerticalHinting";
  QQuickFontValueType_HintingPreference[QQuickFontValueType_HintingPreference["PreferFullHinting"] = 3] = "PreferFullHinting";
})(QQuickFontValueType_HintingPreference || (exports.QQuickFontValueType_HintingPreference = QQuickFontValueType_HintingPreference = {}));

var QQuickGraphicsInfo_GraphicsApi;
exports.QQuickGraphicsInfo_GraphicsApi = QQuickGraphicsInfo_GraphicsApi;

(function (QQuickGraphicsInfo_GraphicsApi) {
  QQuickGraphicsInfo_GraphicsApi[QQuickGraphicsInfo_GraphicsApi["Unknown"] = 0] = "Unknown";
  QQuickGraphicsInfo_GraphicsApi[QQuickGraphicsInfo_GraphicsApi["Software"] = 1] = "Software";
  QQuickGraphicsInfo_GraphicsApi[QQuickGraphicsInfo_GraphicsApi["OpenGL"] = 2] = "OpenGL";
  QQuickGraphicsInfo_GraphicsApi[QQuickGraphicsInfo_GraphicsApi["Direct3D12"] = 3] = "Direct3D12";
})(QQuickGraphicsInfo_GraphicsApi || (exports.QQuickGraphicsInfo_GraphicsApi = QQuickGraphicsInfo_GraphicsApi = {}));

var QQuickGraphicsInfo_ShaderType;
exports.QQuickGraphicsInfo_ShaderType = QQuickGraphicsInfo_ShaderType;

(function (QQuickGraphicsInfo_ShaderType) {
  QQuickGraphicsInfo_ShaderType[QQuickGraphicsInfo_ShaderType["UnknownShadingLanguage"] = 0] = "UnknownShadingLanguage";
  QQuickGraphicsInfo_ShaderType[QQuickGraphicsInfo_ShaderType["GLSL"] = 1] = "GLSL";
  QQuickGraphicsInfo_ShaderType[QQuickGraphicsInfo_ShaderType["HLSL"] = 2] = "HLSL";
})(QQuickGraphicsInfo_ShaderType || (exports.QQuickGraphicsInfo_ShaderType = QQuickGraphicsInfo_ShaderType = {}));

var QQuickGraphicsInfo_ShaderCompilationType;
exports.QQuickGraphicsInfo_ShaderCompilationType = QQuickGraphicsInfo_ShaderCompilationType;

(function (QQuickGraphicsInfo_ShaderCompilationType) {
  QQuickGraphicsInfo_ShaderCompilationType[QQuickGraphicsInfo_ShaderCompilationType["RuntimeCompilation"] = 1] = "RuntimeCompilation";
  QQuickGraphicsInfo_ShaderCompilationType[QQuickGraphicsInfo_ShaderCompilationType["OfflineCompilation"] = 2] = "OfflineCompilation";
})(QQuickGraphicsInfo_ShaderCompilationType || (exports.QQuickGraphicsInfo_ShaderCompilationType = QQuickGraphicsInfo_ShaderCompilationType = {}));

var QQuickGraphicsInfo_ShaderSourceType;
exports.QQuickGraphicsInfo_ShaderSourceType = QQuickGraphicsInfo_ShaderSourceType;

(function (QQuickGraphicsInfo_ShaderSourceType) {
  QQuickGraphicsInfo_ShaderSourceType[QQuickGraphicsInfo_ShaderSourceType["ShaderSourceString"] = 1] = "ShaderSourceString";
  QQuickGraphicsInfo_ShaderSourceType[QQuickGraphicsInfo_ShaderSourceType["ShaderSourceFile"] = 2] = "ShaderSourceFile";
  QQuickGraphicsInfo_ShaderSourceType[QQuickGraphicsInfo_ShaderSourceType["ShaderByteCode"] = 4] = "ShaderByteCode";
})(QQuickGraphicsInfo_ShaderSourceType || (exports.QQuickGraphicsInfo_ShaderSourceType = QQuickGraphicsInfo_ShaderSourceType = {}));

var QQuickGraphicsInfo_OpenGLContextProfile;
exports.QQuickGraphicsInfo_OpenGLContextProfile = QQuickGraphicsInfo_OpenGLContextProfile;

(function (QQuickGraphicsInfo_OpenGLContextProfile) {
  QQuickGraphicsInfo_OpenGLContextProfile[QQuickGraphicsInfo_OpenGLContextProfile["OpenGLNoProfile"] = 0] = "OpenGLNoProfile";
  QQuickGraphicsInfo_OpenGLContextProfile[QQuickGraphicsInfo_OpenGLContextProfile["OpenGLCoreProfile"] = 1] = "OpenGLCoreProfile";
  QQuickGraphicsInfo_OpenGLContextProfile[QQuickGraphicsInfo_OpenGLContextProfile["OpenGLCompatibilityProfile"] = 2] = "OpenGLCompatibilityProfile";
})(QQuickGraphicsInfo_OpenGLContextProfile || (exports.QQuickGraphicsInfo_OpenGLContextProfile = QQuickGraphicsInfo_OpenGLContextProfile = {}));

var QQuickGraphicsInfo_RenderableType;
exports.QQuickGraphicsInfo_RenderableType = QQuickGraphicsInfo_RenderableType;

(function (QQuickGraphicsInfo_RenderableType) {
  QQuickGraphicsInfo_RenderableType[QQuickGraphicsInfo_RenderableType["SurfaceFormatUnspecified"] = 0] = "SurfaceFormatUnspecified";
  QQuickGraphicsInfo_RenderableType[QQuickGraphicsInfo_RenderableType["SurfaceFormatOpenGL"] = 1] = "SurfaceFormatOpenGL";
  QQuickGraphicsInfo_RenderableType[QQuickGraphicsInfo_RenderableType["SurfaceFormatOpenGLES"] = 2] = "SurfaceFormatOpenGLES";
})(QQuickGraphicsInfo_RenderableType || (exports.QQuickGraphicsInfo_RenderableType = QQuickGraphicsInfo_RenderableType = {}));

var QQuickGrid_Flow;
exports.QQuickGrid_Flow = QQuickGrid_Flow;

(function (QQuickGrid_Flow) {
  QQuickGrid_Flow[QQuickGrid_Flow["LeftToRight"] = 0] = "LeftToRight";
  QQuickGrid_Flow[QQuickGrid_Flow["TopToBottom"] = 1] = "TopToBottom";
})(QQuickGrid_Flow || (exports.QQuickGrid_Flow = QQuickGrid_Flow = {}));

var QQuickGrid_HAlignment;
exports.QQuickGrid_HAlignment = QQuickGrid_HAlignment;

(function (QQuickGrid_HAlignment) {
  QQuickGrid_HAlignment[QQuickGrid_HAlignment["AlignLeft"] = 1] = "AlignLeft";
  QQuickGrid_HAlignment[QQuickGrid_HAlignment["AlignRight"] = 2] = "AlignRight";
  QQuickGrid_HAlignment[QQuickGrid_HAlignment["AlignHCenter"] = 4] = "AlignHCenter";
})(QQuickGrid_HAlignment || (exports.QQuickGrid_HAlignment = QQuickGrid_HAlignment = {}));

var QQuickGrid_VAlignment;
exports.QQuickGrid_VAlignment = QQuickGrid_VAlignment;

(function (QQuickGrid_VAlignment) {
  QQuickGrid_VAlignment[QQuickGrid_VAlignment["AlignTop"] = 32] = "AlignTop";
  QQuickGrid_VAlignment[QQuickGrid_VAlignment["AlignBottom"] = 64] = "AlignBottom";
  QQuickGrid_VAlignment[QQuickGrid_VAlignment["AlignVCenter"] = 128] = "AlignVCenter";
})(QQuickGrid_VAlignment || (exports.QQuickGrid_VAlignment = QQuickGrid_VAlignment = {}));

var QQuickGridView_Flow;
exports.QQuickGridView_Flow = QQuickGridView_Flow;

(function (QQuickGridView_Flow) {
  QQuickGridView_Flow[QQuickGridView_Flow["FlowLeftToRight"] = 0] = "FlowLeftToRight";
  QQuickGridView_Flow[QQuickGridView_Flow["FlowTopToBottom"] = 2] = "FlowTopToBottom";
})(QQuickGridView_Flow || (exports.QQuickGridView_Flow = QQuickGridView_Flow = {}));

var QQuickGridView_SnapMode;
exports.QQuickGridView_SnapMode = QQuickGridView_SnapMode;

(function (QQuickGridView_SnapMode) {
  QQuickGridView_SnapMode[QQuickGridView_SnapMode["NoSnap"] = 0] = "NoSnap";
  QQuickGridView_SnapMode[QQuickGridView_SnapMode["SnapToRow"] = 1] = "SnapToRow";
  QQuickGridView_SnapMode[QQuickGridView_SnapMode["SnapOneRow"] = 2] = "SnapOneRow";
})(QQuickGridView_SnapMode || (exports.QQuickGridView_SnapMode = QQuickGridView_SnapMode = {}));

var QQuickImage_HAlignment;
exports.QQuickImage_HAlignment = QQuickImage_HAlignment;

(function (QQuickImage_HAlignment) {
  QQuickImage_HAlignment[QQuickImage_HAlignment["AlignLeft"] = 1] = "AlignLeft";
  QQuickImage_HAlignment[QQuickImage_HAlignment["AlignRight"] = 2] = "AlignRight";
  QQuickImage_HAlignment[QQuickImage_HAlignment["AlignHCenter"] = 4] = "AlignHCenter";
})(QQuickImage_HAlignment || (exports.QQuickImage_HAlignment = QQuickImage_HAlignment = {}));

var QQuickImage_VAlignment;
exports.QQuickImage_VAlignment = QQuickImage_VAlignment;

(function (QQuickImage_VAlignment) {
  QQuickImage_VAlignment[QQuickImage_VAlignment["AlignTop"] = 32] = "AlignTop";
  QQuickImage_VAlignment[QQuickImage_VAlignment["AlignBottom"] = 64] = "AlignBottom";
  QQuickImage_VAlignment[QQuickImage_VAlignment["AlignVCenter"] = 128] = "AlignVCenter";
})(QQuickImage_VAlignment || (exports.QQuickImage_VAlignment = QQuickImage_VAlignment = {}));

var QQuickImage_FillMode;
exports.QQuickImage_FillMode = QQuickImage_FillMode;

(function (QQuickImage_FillMode) {
  QQuickImage_FillMode[QQuickImage_FillMode["Stretch"] = 0] = "Stretch";
  QQuickImage_FillMode[QQuickImage_FillMode["PreserveAspectFit"] = 1] = "PreserveAspectFit";
  QQuickImage_FillMode[QQuickImage_FillMode["PreserveAspectCrop"] = 2] = "PreserveAspectCrop";
  QQuickImage_FillMode[QQuickImage_FillMode["Tile"] = 3] = "Tile";
  QQuickImage_FillMode[QQuickImage_FillMode["TileVertically"] = 4] = "TileVertically";
  QQuickImage_FillMode[QQuickImage_FillMode["TileHorizontally"] = 5] = "TileHorizontally";
  QQuickImage_FillMode[QQuickImage_FillMode["Pad"] = 6] = "Pad";
})(QQuickImage_FillMode || (exports.QQuickImage_FillMode = QQuickImage_FillMode = {}));

var QQuickImageBase_Status;
exports.QQuickImageBase_Status = QQuickImageBase_Status;

(function (QQuickImageBase_Status) {
  QQuickImageBase_Status[QQuickImageBase_Status["Null"] = 0] = "Null";
  QQuickImageBase_Status[QQuickImageBase_Status["Ready"] = 1] = "Ready";
  QQuickImageBase_Status[QQuickImageBase_Status["Loading"] = 2] = "Loading";
  QQuickImageBase_Status[QQuickImageBase_Status["Error"] = 3] = "Error";
})(QQuickImageBase_Status || (exports.QQuickImageBase_Status = QQuickImageBase_Status = {}));

var QQuickItem_TransformOrigin;
exports.QQuickItem_TransformOrigin = QQuickItem_TransformOrigin;

(function (QQuickItem_TransformOrigin) {
  QQuickItem_TransformOrigin[QQuickItem_TransformOrigin["TopLeft"] = 0] = "TopLeft";
  QQuickItem_TransformOrigin[QQuickItem_TransformOrigin["Top"] = 1] = "Top";
  QQuickItem_TransformOrigin[QQuickItem_TransformOrigin["TopRight"] = 2] = "TopRight";
  QQuickItem_TransformOrigin[QQuickItem_TransformOrigin["Left"] = 3] = "Left";
  QQuickItem_TransformOrigin[QQuickItem_TransformOrigin["Center"] = 4] = "Center";
  QQuickItem_TransformOrigin[QQuickItem_TransformOrigin["Right"] = 5] = "Right";
  QQuickItem_TransformOrigin[QQuickItem_TransformOrigin["BottomLeft"] = 6] = "BottomLeft";
  QQuickItem_TransformOrigin[QQuickItem_TransformOrigin["Bottom"] = 7] = "Bottom";
  QQuickItem_TransformOrigin[QQuickItem_TransformOrigin["BottomRight"] = 8] = "BottomRight";
})(QQuickItem_TransformOrigin || (exports.QQuickItem_TransformOrigin = QQuickItem_TransformOrigin = {}));

var QQuickItemView_LayoutDirection;
exports.QQuickItemView_LayoutDirection = QQuickItemView_LayoutDirection;

(function (QQuickItemView_LayoutDirection) {
  QQuickItemView_LayoutDirection[QQuickItemView_LayoutDirection["LeftToRight"] = 0] = "LeftToRight";
  QQuickItemView_LayoutDirection[QQuickItemView_LayoutDirection["RightToLeft"] = 1] = "RightToLeft";
  QQuickItemView_LayoutDirection[QQuickItemView_LayoutDirection["VerticalTopToBottom"] = 2] = "VerticalTopToBottom";
  QQuickItemView_LayoutDirection[QQuickItemView_LayoutDirection["VerticalBottomToTop"] = 3] = "VerticalBottomToTop";
})(QQuickItemView_LayoutDirection || (exports.QQuickItemView_LayoutDirection = QQuickItemView_LayoutDirection = {}));

var QQuickItemView_VerticalLayoutDirection;
exports.QQuickItemView_VerticalLayoutDirection = QQuickItemView_VerticalLayoutDirection;

(function (QQuickItemView_VerticalLayoutDirection) {
  QQuickItemView_VerticalLayoutDirection[QQuickItemView_VerticalLayoutDirection["TopToBottom"] = 2] = "TopToBottom";
  QQuickItemView_VerticalLayoutDirection[QQuickItemView_VerticalLayoutDirection["BottomToTop"] = 3] = "BottomToTop";
})(QQuickItemView_VerticalLayoutDirection || (exports.QQuickItemView_VerticalLayoutDirection = QQuickItemView_VerticalLayoutDirection = {}));

var QQuickItemView_HighlightRangeMode;
exports.QQuickItemView_HighlightRangeMode = QQuickItemView_HighlightRangeMode;

(function (QQuickItemView_HighlightRangeMode) {
  QQuickItemView_HighlightRangeMode[QQuickItemView_HighlightRangeMode["NoHighlightRange"] = 0] = "NoHighlightRange";
  QQuickItemView_HighlightRangeMode[QQuickItemView_HighlightRangeMode["ApplyRange"] = 1] = "ApplyRange";
  QQuickItemView_HighlightRangeMode[QQuickItemView_HighlightRangeMode["StrictlyEnforceRange"] = 2] = "StrictlyEnforceRange";
})(QQuickItemView_HighlightRangeMode || (exports.QQuickItemView_HighlightRangeMode = QQuickItemView_HighlightRangeMode = {}));

var QQuickItemView_PositionMode;
exports.QQuickItemView_PositionMode = QQuickItemView_PositionMode;

(function (QQuickItemView_PositionMode) {
  QQuickItemView_PositionMode[QQuickItemView_PositionMode["Beginning"] = 0] = "Beginning";
  QQuickItemView_PositionMode[QQuickItemView_PositionMode["Center"] = 1] = "Center";
  QQuickItemView_PositionMode[QQuickItemView_PositionMode["End"] = 2] = "End";
  QQuickItemView_PositionMode[QQuickItemView_PositionMode["Visible"] = 3] = "Visible";
  QQuickItemView_PositionMode[QQuickItemView_PositionMode["Contain"] = 4] = "Contain";
  QQuickItemView_PositionMode[QQuickItemView_PositionMode["SnapPosition"] = 5] = "SnapPosition";
})(QQuickItemView_PositionMode || (exports.QQuickItemView_PositionMode = QQuickItemView_PositionMode = {}));

var QQuickKeyNavigationAttached_Priority;
exports.QQuickKeyNavigationAttached_Priority = QQuickKeyNavigationAttached_Priority;

(function (QQuickKeyNavigationAttached_Priority) {
  QQuickKeyNavigationAttached_Priority[QQuickKeyNavigationAttached_Priority["BeforeItem"] = 0] = "BeforeItem";
  QQuickKeyNavigationAttached_Priority[QQuickKeyNavigationAttached_Priority["AfterItem"] = 1] = "AfterItem";
})(QQuickKeyNavigationAttached_Priority || (exports.QQuickKeyNavigationAttached_Priority = QQuickKeyNavigationAttached_Priority = {}));

var QQuickKeysAttached_Priority;
exports.QQuickKeysAttached_Priority = QQuickKeysAttached_Priority;

(function (QQuickKeysAttached_Priority) {
  QQuickKeysAttached_Priority[QQuickKeysAttached_Priority["BeforeItem"] = 0] = "BeforeItem";
  QQuickKeysAttached_Priority[QQuickKeysAttached_Priority["AfterItem"] = 1] = "AfterItem";
})(QQuickKeysAttached_Priority || (exports.QQuickKeysAttached_Priority = QQuickKeysAttached_Priority = {}));

var QQuickListView_Orientation;
exports.QQuickListView_Orientation = QQuickListView_Orientation;

(function (QQuickListView_Orientation) {
  QQuickListView_Orientation[QQuickListView_Orientation["Horizontal"] = 1] = "Horizontal";
  QQuickListView_Orientation[QQuickListView_Orientation["Vertical"] = 2] = "Vertical";
})(QQuickListView_Orientation || (exports.QQuickListView_Orientation = QQuickListView_Orientation = {}));

var QQuickListView_SnapMode;
exports.QQuickListView_SnapMode = QQuickListView_SnapMode;

(function (QQuickListView_SnapMode) {
  QQuickListView_SnapMode[QQuickListView_SnapMode["NoSnap"] = 0] = "NoSnap";
  QQuickListView_SnapMode[QQuickListView_SnapMode["SnapToItem"] = 1] = "SnapToItem";
  QQuickListView_SnapMode[QQuickListView_SnapMode["SnapOneItem"] = 2] = "SnapOneItem";
})(QQuickListView_SnapMode || (exports.QQuickListView_SnapMode = QQuickListView_SnapMode = {}));

var QQuickListView_HeaderPositioning;
exports.QQuickListView_HeaderPositioning = QQuickListView_HeaderPositioning;

(function (QQuickListView_HeaderPositioning) {
  QQuickListView_HeaderPositioning[QQuickListView_HeaderPositioning["InlineHeader"] = 0] = "InlineHeader";
  QQuickListView_HeaderPositioning[QQuickListView_HeaderPositioning["OverlayHeader"] = 1] = "OverlayHeader";
  QQuickListView_HeaderPositioning[QQuickListView_HeaderPositioning["PullBackHeader"] = 2] = "PullBackHeader";
})(QQuickListView_HeaderPositioning || (exports.QQuickListView_HeaderPositioning = QQuickListView_HeaderPositioning = {}));

var QQuickListView_FooterPositioning;
exports.QQuickListView_FooterPositioning = QQuickListView_FooterPositioning;

(function (QQuickListView_FooterPositioning) {
  QQuickListView_FooterPositioning[QQuickListView_FooterPositioning["InlineFooter"] = 0] = "InlineFooter";
  QQuickListView_FooterPositioning[QQuickListView_FooterPositioning["OverlayFooter"] = 1] = "OverlayFooter";
  QQuickListView_FooterPositioning[QQuickListView_FooterPositioning["PullBackFooter"] = 2] = "PullBackFooter";
})(QQuickListView_FooterPositioning || (exports.QQuickListView_FooterPositioning = QQuickListView_FooterPositioning = {}));

var QQuickLoader_Status;
exports.QQuickLoader_Status = QQuickLoader_Status;

(function (QQuickLoader_Status) {
  QQuickLoader_Status[QQuickLoader_Status["Null"] = 0] = "Null";
  QQuickLoader_Status[QQuickLoader_Status["Ready"] = 1] = "Ready";
  QQuickLoader_Status[QQuickLoader_Status["Loading"] = 2] = "Loading";
  QQuickLoader_Status[QQuickLoader_Status["Error"] = 3] = "Error";
})(QQuickLoader_Status || (exports.QQuickLoader_Status = QQuickLoader_Status = {}));

var QQuickOpenGLInfo_ContextProfile;
exports.QQuickOpenGLInfo_ContextProfile = QQuickOpenGLInfo_ContextProfile;

(function (QQuickOpenGLInfo_ContextProfile) {
  QQuickOpenGLInfo_ContextProfile[QQuickOpenGLInfo_ContextProfile["NoProfile"] = 0] = "NoProfile";
  QQuickOpenGLInfo_ContextProfile[QQuickOpenGLInfo_ContextProfile["CoreProfile"] = 1] = "CoreProfile";
  QQuickOpenGLInfo_ContextProfile[QQuickOpenGLInfo_ContextProfile["CompatibilityProfile"] = 2] = "CompatibilityProfile";
})(QQuickOpenGLInfo_ContextProfile || (exports.QQuickOpenGLInfo_ContextProfile = QQuickOpenGLInfo_ContextProfile = {}));

var QQuickOpenGLInfo_RenderableType;
exports.QQuickOpenGLInfo_RenderableType = QQuickOpenGLInfo_RenderableType;

(function (QQuickOpenGLInfo_RenderableType) {
  QQuickOpenGLInfo_RenderableType[QQuickOpenGLInfo_RenderableType["Unspecified"] = 0] = "Unspecified";
  QQuickOpenGLInfo_RenderableType[QQuickOpenGLInfo_RenderableType["OpenGL"] = 1] = "OpenGL";
  QQuickOpenGLInfo_RenderableType[QQuickOpenGLInfo_RenderableType["OpenGLES"] = 2] = "OpenGLES";
})(QQuickOpenGLInfo_RenderableType || (exports.QQuickOpenGLInfo_RenderableType = QQuickOpenGLInfo_RenderableType = {}));

var QQuickPaintedItem_RenderTarget;
exports.QQuickPaintedItem_RenderTarget = QQuickPaintedItem_RenderTarget;

(function (QQuickPaintedItem_RenderTarget) {
  QQuickPaintedItem_RenderTarget[QQuickPaintedItem_RenderTarget["Image"] = 0] = "Image";
  QQuickPaintedItem_RenderTarget[QQuickPaintedItem_RenderTarget["FramebufferObject"] = 1] = "FramebufferObject";
  QQuickPaintedItem_RenderTarget[QQuickPaintedItem_RenderTarget["InvertedYFramebufferObject"] = 2] = "InvertedYFramebufferObject";
})(QQuickPaintedItem_RenderTarget || (exports.QQuickPaintedItem_RenderTarget = QQuickPaintedItem_RenderTarget = {}));

var QQuickPathAnimation_Orientation;
exports.QQuickPathAnimation_Orientation = QQuickPathAnimation_Orientation;

(function (QQuickPathAnimation_Orientation) {
  QQuickPathAnimation_Orientation[QQuickPathAnimation_Orientation["Fixed"] = 0] = "Fixed";
  QQuickPathAnimation_Orientation[QQuickPathAnimation_Orientation["RightFirst"] = 1] = "RightFirst";
  QQuickPathAnimation_Orientation[QQuickPathAnimation_Orientation["LeftFirst"] = 2] = "LeftFirst";
  QQuickPathAnimation_Orientation[QQuickPathAnimation_Orientation["BottomFirst"] = 3] = "BottomFirst";
  QQuickPathAnimation_Orientation[QQuickPathAnimation_Orientation["TopFirst"] = 4] = "TopFirst";
})(QQuickPathAnimation_Orientation || (exports.QQuickPathAnimation_Orientation = QQuickPathAnimation_Orientation = {}));

var QQuickPathArc_ArcDirection;
exports.QQuickPathArc_ArcDirection = QQuickPathArc_ArcDirection;

(function (QQuickPathArc_ArcDirection) {
  QQuickPathArc_ArcDirection[QQuickPathArc_ArcDirection["Clockwise"] = 0] = "Clockwise";
  QQuickPathArc_ArcDirection[QQuickPathArc_ArcDirection["Counterclockwise"] = 1] = "Counterclockwise";
})(QQuickPathArc_ArcDirection || (exports.QQuickPathArc_ArcDirection = QQuickPathArc_ArcDirection = {}));

var QQuickPathView_HighlightRangeMode;
exports.QQuickPathView_HighlightRangeMode = QQuickPathView_HighlightRangeMode;

(function (QQuickPathView_HighlightRangeMode) {
  QQuickPathView_HighlightRangeMode[QQuickPathView_HighlightRangeMode["NoHighlightRange"] = 0] = "NoHighlightRange";
  QQuickPathView_HighlightRangeMode[QQuickPathView_HighlightRangeMode["ApplyRange"] = 1] = "ApplyRange";
  QQuickPathView_HighlightRangeMode[QQuickPathView_HighlightRangeMode["StrictlyEnforceRange"] = 2] = "StrictlyEnforceRange";
})(QQuickPathView_HighlightRangeMode || (exports.QQuickPathView_HighlightRangeMode = QQuickPathView_HighlightRangeMode = {}));

var QQuickPathView_SnapMode;
exports.QQuickPathView_SnapMode = QQuickPathView_SnapMode;

(function (QQuickPathView_SnapMode) {
  QQuickPathView_SnapMode[QQuickPathView_SnapMode["NoSnap"] = 0] = "NoSnap";
  QQuickPathView_SnapMode[QQuickPathView_SnapMode["SnapToItem"] = 1] = "SnapToItem";
  QQuickPathView_SnapMode[QQuickPathView_SnapMode["SnapOneItem"] = 2] = "SnapOneItem";
})(QQuickPathView_SnapMode || (exports.QQuickPathView_SnapMode = QQuickPathView_SnapMode = {}));

var QQuickPathView_MovementDirection;
exports.QQuickPathView_MovementDirection = QQuickPathView_MovementDirection;

(function (QQuickPathView_MovementDirection) {
  QQuickPathView_MovementDirection[QQuickPathView_MovementDirection["Shortest"] = 0] = "Shortest";
  QQuickPathView_MovementDirection[QQuickPathView_MovementDirection["Negative"] = 1] = "Negative";
  QQuickPathView_MovementDirection[QQuickPathView_MovementDirection["Positive"] = 2] = "Positive";
})(QQuickPathView_MovementDirection || (exports.QQuickPathView_MovementDirection = QQuickPathView_MovementDirection = {}));

var QQuickPathView_PositionMode;
exports.QQuickPathView_PositionMode = QQuickPathView_PositionMode;

(function (QQuickPathView_PositionMode) {
  QQuickPathView_PositionMode[QQuickPathView_PositionMode["Beginning"] = 0] = "Beginning";
  QQuickPathView_PositionMode[QQuickPathView_PositionMode["Center"] = 1] = "Center";
  QQuickPathView_PositionMode[QQuickPathView_PositionMode["End"] = 2] = "End";
  QQuickPathView_PositionMode[QQuickPathView_PositionMode["Contain"] = 4] = "Contain";
  QQuickPathView_PositionMode[QQuickPathView_PositionMode["SnapPosition"] = 5] = "SnapPosition";
})(QQuickPathView_PositionMode || (exports.QQuickPathView_PositionMode = QQuickPathView_PositionMode = {}));

var QQuickPinch_Axis;
exports.QQuickPinch_Axis = QQuickPinch_Axis;

(function (QQuickPinch_Axis) {
  QQuickPinch_Axis[QQuickPinch_Axis["NoDrag"] = 0] = "NoDrag";
  QQuickPinch_Axis[QQuickPinch_Axis["XAxis"] = 1] = "XAxis";
  QQuickPinch_Axis[QQuickPinch_Axis["YAxis"] = 2] = "YAxis";
  QQuickPinch_Axis[QQuickPinch_Axis["XAndYAxis"] = 3] = "XAndYAxis";
  QQuickPinch_Axis[QQuickPinch_Axis["XandYAxis"] = 3] = "XandYAxis";
})(QQuickPinch_Axis || (exports.QQuickPinch_Axis = QQuickPinch_Axis = {}));

var QQuickRotationAnimation_RotationDirection;
exports.QQuickRotationAnimation_RotationDirection = QQuickRotationAnimation_RotationDirection;

(function (QQuickRotationAnimation_RotationDirection) {
  QQuickRotationAnimation_RotationDirection[QQuickRotationAnimation_RotationDirection["Numerical"] = 0] = "Numerical";
  QQuickRotationAnimation_RotationDirection[QQuickRotationAnimation_RotationDirection["Shortest"] = 1] = "Shortest";
  QQuickRotationAnimation_RotationDirection[QQuickRotationAnimation_RotationDirection["Clockwise"] = 2] = "Clockwise";
  QQuickRotationAnimation_RotationDirection[QQuickRotationAnimation_RotationDirection["Counterclockwise"] = 3] = "Counterclockwise";
})(QQuickRotationAnimation_RotationDirection || (exports.QQuickRotationAnimation_RotationDirection = QQuickRotationAnimation_RotationDirection = {}));

var QQuickRotationAnimator_RotationDirection;
exports.QQuickRotationAnimator_RotationDirection = QQuickRotationAnimator_RotationDirection;

(function (QQuickRotationAnimator_RotationDirection) {
  QQuickRotationAnimator_RotationDirection[QQuickRotationAnimator_RotationDirection["Numerical"] = 0] = "Numerical";
  QQuickRotationAnimator_RotationDirection[QQuickRotationAnimator_RotationDirection["Shortest"] = 1] = "Shortest";
  QQuickRotationAnimator_RotationDirection[QQuickRotationAnimator_RotationDirection["Clockwise"] = 2] = "Clockwise";
  QQuickRotationAnimator_RotationDirection[QQuickRotationAnimator_RotationDirection["Counterclockwise"] = 3] = "Counterclockwise";
})(QQuickRotationAnimator_RotationDirection || (exports.QQuickRotationAnimator_RotationDirection = QQuickRotationAnimator_RotationDirection = {}));

var QQuickShaderEffect_CullMode;
exports.QQuickShaderEffect_CullMode = QQuickShaderEffect_CullMode;

(function (QQuickShaderEffect_CullMode) {
  QQuickShaderEffect_CullMode[QQuickShaderEffect_CullMode["NoCulling"] = 0] = "NoCulling";
  QQuickShaderEffect_CullMode[QQuickShaderEffect_CullMode["BackFaceCulling"] = 1] = "BackFaceCulling";
  QQuickShaderEffect_CullMode[QQuickShaderEffect_CullMode["FrontFaceCulling"] = 2] = "FrontFaceCulling";
})(QQuickShaderEffect_CullMode || (exports.QQuickShaderEffect_CullMode = QQuickShaderEffect_CullMode = {}));

var QQuickShaderEffect_Status;
exports.QQuickShaderEffect_Status = QQuickShaderEffect_Status;

(function (QQuickShaderEffect_Status) {
  QQuickShaderEffect_Status[QQuickShaderEffect_Status["Compiled"] = 0] = "Compiled";
  QQuickShaderEffect_Status[QQuickShaderEffect_Status["Uncompiled"] = 1] = "Uncompiled";
  QQuickShaderEffect_Status[QQuickShaderEffect_Status["Error"] = 2] = "Error";
})(QQuickShaderEffect_Status || (exports.QQuickShaderEffect_Status = QQuickShaderEffect_Status = {}));

var QQuickShaderEffectSource_WrapMode;
exports.QQuickShaderEffectSource_WrapMode = QQuickShaderEffectSource_WrapMode;

(function (QQuickShaderEffectSource_WrapMode) {
  QQuickShaderEffectSource_WrapMode[QQuickShaderEffectSource_WrapMode["ClampToEdge"] = 0] = "ClampToEdge";
  QQuickShaderEffectSource_WrapMode[QQuickShaderEffectSource_WrapMode["RepeatHorizontally"] = 1] = "RepeatHorizontally";
  QQuickShaderEffectSource_WrapMode[QQuickShaderEffectSource_WrapMode["RepeatVertically"] = 2] = "RepeatVertically";
  QQuickShaderEffectSource_WrapMode[QQuickShaderEffectSource_WrapMode["Repeat"] = 3] = "Repeat";
})(QQuickShaderEffectSource_WrapMode || (exports.QQuickShaderEffectSource_WrapMode = QQuickShaderEffectSource_WrapMode = {}));

var QQuickShaderEffectSource_Format;
exports.QQuickShaderEffectSource_Format = QQuickShaderEffectSource_Format;

(function (QQuickShaderEffectSource_Format) {
  QQuickShaderEffectSource_Format[QQuickShaderEffectSource_Format["Alpha"] = 6406] = "Alpha";
  QQuickShaderEffectSource_Format[QQuickShaderEffectSource_Format["RGB"] = 6407] = "RGB";
  QQuickShaderEffectSource_Format[QQuickShaderEffectSource_Format["RGBA"] = 6408] = "RGBA";
})(QQuickShaderEffectSource_Format || (exports.QQuickShaderEffectSource_Format = QQuickShaderEffectSource_Format = {}));

var QQuickShaderEffectSource_TextureMirroring;
exports.QQuickShaderEffectSource_TextureMirroring = QQuickShaderEffectSource_TextureMirroring;

(function (QQuickShaderEffectSource_TextureMirroring) {
  QQuickShaderEffectSource_TextureMirroring[QQuickShaderEffectSource_TextureMirroring["NoMirroring"] = 0] = "NoMirroring";
  QQuickShaderEffectSource_TextureMirroring[QQuickShaderEffectSource_TextureMirroring["MirrorHorizontally"] = 1] = "MirrorHorizontally";
  QQuickShaderEffectSource_TextureMirroring[QQuickShaderEffectSource_TextureMirroring["MirrorVertically"] = 2] = "MirrorVertically";
})(QQuickShaderEffectSource_TextureMirroring || (exports.QQuickShaderEffectSource_TextureMirroring = QQuickShaderEffectSource_TextureMirroring = {}));

var QQuickSmoothedAnimation_ReversingMode;
exports.QQuickSmoothedAnimation_ReversingMode = QQuickSmoothedAnimation_ReversingMode;

(function (QQuickSmoothedAnimation_ReversingMode) {
  QQuickSmoothedAnimation_ReversingMode[QQuickSmoothedAnimation_ReversingMode["Eased"] = 0] = "Eased";
  QQuickSmoothedAnimation_ReversingMode[QQuickSmoothedAnimation_ReversingMode["Immediate"] = 1] = "Immediate";
  QQuickSmoothedAnimation_ReversingMode[QQuickSmoothedAnimation_ReversingMode["Sync"] = 2] = "Sync";
})(QQuickSmoothedAnimation_ReversingMode || (exports.QQuickSmoothedAnimation_ReversingMode = QQuickSmoothedAnimation_ReversingMode = {}));

var QQuickSystemPalette_ColorGroup;
exports.QQuickSystemPalette_ColorGroup = QQuickSystemPalette_ColorGroup;

(function (QQuickSystemPalette_ColorGroup) {
  QQuickSystemPalette_ColorGroup[QQuickSystemPalette_ColorGroup["Active"] = 0] = "Active";
  QQuickSystemPalette_ColorGroup[QQuickSystemPalette_ColorGroup["Inactive"] = 2] = "Inactive";
  QQuickSystemPalette_ColorGroup[QQuickSystemPalette_ColorGroup["Disabled"] = 1] = "Disabled";
})(QQuickSystemPalette_ColorGroup || (exports.QQuickSystemPalette_ColorGroup = QQuickSystemPalette_ColorGroup = {}));

var QQuickText_HAlignment;
exports.QQuickText_HAlignment = QQuickText_HAlignment;

(function (QQuickText_HAlignment) {
  QQuickText_HAlignment[QQuickText_HAlignment["AlignLeft"] = 1] = "AlignLeft";
  QQuickText_HAlignment[QQuickText_HAlignment["AlignRight"] = 2] = "AlignRight";
  QQuickText_HAlignment[QQuickText_HAlignment["AlignHCenter"] = 4] = "AlignHCenter";
  QQuickText_HAlignment[QQuickText_HAlignment["AlignJustify"] = 8] = "AlignJustify";
})(QQuickText_HAlignment || (exports.QQuickText_HAlignment = QQuickText_HAlignment = {}));

var QQuickText_VAlignment;
exports.QQuickText_VAlignment = QQuickText_VAlignment;

(function (QQuickText_VAlignment) {
  QQuickText_VAlignment[QQuickText_VAlignment["AlignTop"] = 32] = "AlignTop";
  QQuickText_VAlignment[QQuickText_VAlignment["AlignBottom"] = 64] = "AlignBottom";
  QQuickText_VAlignment[QQuickText_VAlignment["AlignVCenter"] = 128] = "AlignVCenter";
})(QQuickText_VAlignment || (exports.QQuickText_VAlignment = QQuickText_VAlignment = {}));

var QQuickText_TextStyle;
exports.QQuickText_TextStyle = QQuickText_TextStyle;

(function (QQuickText_TextStyle) {
  QQuickText_TextStyle[QQuickText_TextStyle["Normal"] = 0] = "Normal";
  QQuickText_TextStyle[QQuickText_TextStyle["Outline"] = 1] = "Outline";
  QQuickText_TextStyle[QQuickText_TextStyle["Raised"] = 2] = "Raised";
  QQuickText_TextStyle[QQuickText_TextStyle["Sunken"] = 3] = "Sunken";
})(QQuickText_TextStyle || (exports.QQuickText_TextStyle = QQuickText_TextStyle = {}));

var QQuickText_TextFormat;
exports.QQuickText_TextFormat = QQuickText_TextFormat;

(function (QQuickText_TextFormat) {
  QQuickText_TextFormat[QQuickText_TextFormat["PlainText"] = 0] = "PlainText";
  QQuickText_TextFormat[QQuickText_TextFormat["RichText"] = 1] = "RichText";
  QQuickText_TextFormat[QQuickText_TextFormat["AutoText"] = 2] = "AutoText";
  QQuickText_TextFormat[QQuickText_TextFormat["StyledText"] = 4] = "StyledText";
})(QQuickText_TextFormat || (exports.QQuickText_TextFormat = QQuickText_TextFormat = {}));

var QQuickText_TextElideMode;
exports.QQuickText_TextElideMode = QQuickText_TextElideMode;

(function (QQuickText_TextElideMode) {
  QQuickText_TextElideMode[QQuickText_TextElideMode["ElideLeft"] = 0] = "ElideLeft";
  QQuickText_TextElideMode[QQuickText_TextElideMode["ElideRight"] = 1] = "ElideRight";
  QQuickText_TextElideMode[QQuickText_TextElideMode["ElideMiddle"] = 2] = "ElideMiddle";
  QQuickText_TextElideMode[QQuickText_TextElideMode["ElideNone"] = 3] = "ElideNone";
})(QQuickText_TextElideMode || (exports.QQuickText_TextElideMode = QQuickText_TextElideMode = {}));

var QQuickText_WrapMode;
exports.QQuickText_WrapMode = QQuickText_WrapMode;

(function (QQuickText_WrapMode) {
  QQuickText_WrapMode[QQuickText_WrapMode["NoWrap"] = 0] = "NoWrap";
  QQuickText_WrapMode[QQuickText_WrapMode["WordWrap"] = 1] = "WordWrap";
  QQuickText_WrapMode[QQuickText_WrapMode["WrapAnywhere"] = 3] = "WrapAnywhere";
  QQuickText_WrapMode[QQuickText_WrapMode["WrapAtWordBoundaryOrAnywhere"] = 4] = "WrapAtWordBoundaryOrAnywhere";
  QQuickText_WrapMode[QQuickText_WrapMode["Wrap"] = 4] = "Wrap";
})(QQuickText_WrapMode || (exports.QQuickText_WrapMode = QQuickText_WrapMode = {}));

var QQuickText_RenderType;
exports.QQuickText_RenderType = QQuickText_RenderType;

(function (QQuickText_RenderType) {
  QQuickText_RenderType[QQuickText_RenderType["QtRendering"] = 0] = "QtRendering";
  QQuickText_RenderType[QQuickText_RenderType["NativeRendering"] = 1] = "NativeRendering";
})(QQuickText_RenderType || (exports.QQuickText_RenderType = QQuickText_RenderType = {}));

var QQuickText_LineHeightMode;
exports.QQuickText_LineHeightMode = QQuickText_LineHeightMode;

(function (QQuickText_LineHeightMode) {
  QQuickText_LineHeightMode[QQuickText_LineHeightMode["ProportionalHeight"] = 0] = "ProportionalHeight";
  QQuickText_LineHeightMode[QQuickText_LineHeightMode["FixedHeight"] = 1] = "FixedHeight";
})(QQuickText_LineHeightMode || (exports.QQuickText_LineHeightMode = QQuickText_LineHeightMode = {}));

var QQuickText_FontSizeMode;
exports.QQuickText_FontSizeMode = QQuickText_FontSizeMode;

(function (QQuickText_FontSizeMode) {
  QQuickText_FontSizeMode[QQuickText_FontSizeMode["FixedSize"] = 0] = "FixedSize";
  QQuickText_FontSizeMode[QQuickText_FontSizeMode["HorizontalFit"] = 1] = "HorizontalFit";
  QQuickText_FontSizeMode[QQuickText_FontSizeMode["VerticalFit"] = 2] = "VerticalFit";
  QQuickText_FontSizeMode[QQuickText_FontSizeMode["Fit"] = 3] = "Fit";
})(QQuickText_FontSizeMode || (exports.QQuickText_FontSizeMode = QQuickText_FontSizeMode = {}));

var QQuickTextEdit_HAlignment;
exports.QQuickTextEdit_HAlignment = QQuickTextEdit_HAlignment;

(function (QQuickTextEdit_HAlignment) {
  QQuickTextEdit_HAlignment[QQuickTextEdit_HAlignment["AlignLeft"] = 1] = "AlignLeft";
  QQuickTextEdit_HAlignment[QQuickTextEdit_HAlignment["AlignRight"] = 2] = "AlignRight";
  QQuickTextEdit_HAlignment[QQuickTextEdit_HAlignment["AlignHCenter"] = 4] = "AlignHCenter";
  QQuickTextEdit_HAlignment[QQuickTextEdit_HAlignment["AlignJustify"] = 8] = "AlignJustify";
})(QQuickTextEdit_HAlignment || (exports.QQuickTextEdit_HAlignment = QQuickTextEdit_HAlignment = {}));

var QQuickTextEdit_VAlignment;
exports.QQuickTextEdit_VAlignment = QQuickTextEdit_VAlignment;

(function (QQuickTextEdit_VAlignment) {
  QQuickTextEdit_VAlignment[QQuickTextEdit_VAlignment["AlignTop"] = 32] = "AlignTop";
  QQuickTextEdit_VAlignment[QQuickTextEdit_VAlignment["AlignBottom"] = 64] = "AlignBottom";
  QQuickTextEdit_VAlignment[QQuickTextEdit_VAlignment["AlignVCenter"] = 128] = "AlignVCenter";
})(QQuickTextEdit_VAlignment || (exports.QQuickTextEdit_VAlignment = QQuickTextEdit_VAlignment = {}));

var QQuickTextEdit_TextFormat;
exports.QQuickTextEdit_TextFormat = QQuickTextEdit_TextFormat;

(function (QQuickTextEdit_TextFormat) {
  QQuickTextEdit_TextFormat[QQuickTextEdit_TextFormat["PlainText"] = 0] = "PlainText";
  QQuickTextEdit_TextFormat[QQuickTextEdit_TextFormat["RichText"] = 1] = "RichText";
  QQuickTextEdit_TextFormat[QQuickTextEdit_TextFormat["AutoText"] = 2] = "AutoText";
})(QQuickTextEdit_TextFormat || (exports.QQuickTextEdit_TextFormat = QQuickTextEdit_TextFormat = {}));

var QQuickTextEdit_WrapMode;
exports.QQuickTextEdit_WrapMode = QQuickTextEdit_WrapMode;

(function (QQuickTextEdit_WrapMode) {
  QQuickTextEdit_WrapMode[QQuickTextEdit_WrapMode["NoWrap"] = 0] = "NoWrap";
  QQuickTextEdit_WrapMode[QQuickTextEdit_WrapMode["WordWrap"] = 1] = "WordWrap";
  QQuickTextEdit_WrapMode[QQuickTextEdit_WrapMode["WrapAnywhere"] = 3] = "WrapAnywhere";
  QQuickTextEdit_WrapMode[QQuickTextEdit_WrapMode["WrapAtWordBoundaryOrAnywhere"] = 4] = "WrapAtWordBoundaryOrAnywhere";
  QQuickTextEdit_WrapMode[QQuickTextEdit_WrapMode["Wrap"] = 4] = "Wrap";
})(QQuickTextEdit_WrapMode || (exports.QQuickTextEdit_WrapMode = QQuickTextEdit_WrapMode = {}));

var QQuickTextEdit_SelectionMode;
exports.QQuickTextEdit_SelectionMode = QQuickTextEdit_SelectionMode;

(function (QQuickTextEdit_SelectionMode) {
  QQuickTextEdit_SelectionMode[QQuickTextEdit_SelectionMode["SelectCharacters"] = 0] = "SelectCharacters";
  QQuickTextEdit_SelectionMode[QQuickTextEdit_SelectionMode["SelectWords"] = 1] = "SelectWords";
})(QQuickTextEdit_SelectionMode || (exports.QQuickTextEdit_SelectionMode = QQuickTextEdit_SelectionMode = {}));

var QQuickTextEdit_RenderType;
exports.QQuickTextEdit_RenderType = QQuickTextEdit_RenderType;

(function (QQuickTextEdit_RenderType) {
  QQuickTextEdit_RenderType[QQuickTextEdit_RenderType["QtRendering"] = 0] = "QtRendering";
  QQuickTextEdit_RenderType[QQuickTextEdit_RenderType["NativeRendering"] = 1] = "NativeRendering";
})(QQuickTextEdit_RenderType || (exports.QQuickTextEdit_RenderType = QQuickTextEdit_RenderType = {}));

var QQuickTextInput_EchoMode;
exports.QQuickTextInput_EchoMode = QQuickTextInput_EchoMode;

(function (QQuickTextInput_EchoMode) {
  QQuickTextInput_EchoMode[QQuickTextInput_EchoMode["Normal"] = 0] = "Normal";
  QQuickTextInput_EchoMode[QQuickTextInput_EchoMode["NoEcho"] = 1] = "NoEcho";
  QQuickTextInput_EchoMode[QQuickTextInput_EchoMode["Password"] = 2] = "Password";
  QQuickTextInput_EchoMode[QQuickTextInput_EchoMode["PasswordEchoOnEdit"] = 3] = "PasswordEchoOnEdit";
})(QQuickTextInput_EchoMode || (exports.QQuickTextInput_EchoMode = QQuickTextInput_EchoMode = {}));

var QQuickTextInput_HAlignment;
exports.QQuickTextInput_HAlignment = QQuickTextInput_HAlignment;

(function (QQuickTextInput_HAlignment) {
  QQuickTextInput_HAlignment[QQuickTextInput_HAlignment["AlignLeft"] = 1] = "AlignLeft";
  QQuickTextInput_HAlignment[QQuickTextInput_HAlignment["AlignRight"] = 2] = "AlignRight";
  QQuickTextInput_HAlignment[QQuickTextInput_HAlignment["AlignHCenter"] = 4] = "AlignHCenter";
})(QQuickTextInput_HAlignment || (exports.QQuickTextInput_HAlignment = QQuickTextInput_HAlignment = {}));

var QQuickTextInput_VAlignment;
exports.QQuickTextInput_VAlignment = QQuickTextInput_VAlignment;

(function (QQuickTextInput_VAlignment) {
  QQuickTextInput_VAlignment[QQuickTextInput_VAlignment["AlignTop"] = 32] = "AlignTop";
  QQuickTextInput_VAlignment[QQuickTextInput_VAlignment["AlignBottom"] = 64] = "AlignBottom";
  QQuickTextInput_VAlignment[QQuickTextInput_VAlignment["AlignVCenter"] = 128] = "AlignVCenter";
})(QQuickTextInput_VAlignment || (exports.QQuickTextInput_VAlignment = QQuickTextInput_VAlignment = {}));

var QQuickTextInput_WrapMode;
exports.QQuickTextInput_WrapMode = QQuickTextInput_WrapMode;

(function (QQuickTextInput_WrapMode) {
  QQuickTextInput_WrapMode[QQuickTextInput_WrapMode["NoWrap"] = 0] = "NoWrap";
  QQuickTextInput_WrapMode[QQuickTextInput_WrapMode["WordWrap"] = 1] = "WordWrap";
  QQuickTextInput_WrapMode[QQuickTextInput_WrapMode["WrapAnywhere"] = 3] = "WrapAnywhere";
  QQuickTextInput_WrapMode[QQuickTextInput_WrapMode["WrapAtWordBoundaryOrAnywhere"] = 4] = "WrapAtWordBoundaryOrAnywhere";
  QQuickTextInput_WrapMode[QQuickTextInput_WrapMode["Wrap"] = 4] = "Wrap";
})(QQuickTextInput_WrapMode || (exports.QQuickTextInput_WrapMode = QQuickTextInput_WrapMode = {}));

var QQuickTextInput_SelectionMode;
exports.QQuickTextInput_SelectionMode = QQuickTextInput_SelectionMode;

(function (QQuickTextInput_SelectionMode) {
  QQuickTextInput_SelectionMode[QQuickTextInput_SelectionMode["SelectCharacters"] = 0] = "SelectCharacters";
  QQuickTextInput_SelectionMode[QQuickTextInput_SelectionMode["SelectWords"] = 1] = "SelectWords";
})(QQuickTextInput_SelectionMode || (exports.QQuickTextInput_SelectionMode = QQuickTextInput_SelectionMode = {}));

var QQuickTextInput_CursorPosition;
exports.QQuickTextInput_CursorPosition = QQuickTextInput_CursorPosition;

(function (QQuickTextInput_CursorPosition) {
  QQuickTextInput_CursorPosition[QQuickTextInput_CursorPosition["CursorBetweenCharacters"] = 0] = "CursorBetweenCharacters";
  QQuickTextInput_CursorPosition[QQuickTextInput_CursorPosition["CursorOnCharacter"] = 1] = "CursorOnCharacter";
})(QQuickTextInput_CursorPosition || (exports.QQuickTextInput_CursorPosition = QQuickTextInput_CursorPosition = {}));

var QQuickTextInput_RenderType;
exports.QQuickTextInput_RenderType = QQuickTextInput_RenderType;

(function (QQuickTextInput_RenderType) {
  QQuickTextInput_RenderType[QQuickTextInput_RenderType["QtRendering"] = 0] = "QtRendering";
  QQuickTextInput_RenderType[QQuickTextInput_RenderType["NativeRendering"] = 1] = "NativeRendering";
})(QQuickTextInput_RenderType || (exports.QQuickTextInput_RenderType = QQuickTextInput_RenderType = {}));

var QQuickViewSection_SectionCriteria;
exports.QQuickViewSection_SectionCriteria = QQuickViewSection_SectionCriteria;

(function (QQuickViewSection_SectionCriteria) {
  QQuickViewSection_SectionCriteria[QQuickViewSection_SectionCriteria["FullString"] = 0] = "FullString";
  QQuickViewSection_SectionCriteria[QQuickViewSection_SectionCriteria["FirstCharacter"] = 1] = "FirstCharacter";
})(QQuickViewSection_SectionCriteria || (exports.QQuickViewSection_SectionCriteria = QQuickViewSection_SectionCriteria = {}));

var QQuickViewSection_LabelPositioning;
exports.QQuickViewSection_LabelPositioning = QQuickViewSection_LabelPositioning;

(function (QQuickViewSection_LabelPositioning) {
  QQuickViewSection_LabelPositioning[QQuickViewSection_LabelPositioning["InlineLabels"] = 1] = "InlineLabels";
  QQuickViewSection_LabelPositioning[QQuickViewSection_LabelPositioning["CurrentLabelAtStart"] = 2] = "CurrentLabelAtStart";
  QQuickViewSection_LabelPositioning[QQuickViewSection_LabelPositioning["NextLabelAtEnd"] = 4] = "NextLabelAtEnd";
})(QQuickViewSection_LabelPositioning || (exports.QQuickViewSection_LabelPositioning = QQuickViewSection_LabelPositioning = {})); // end