"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _QtQuick = _interopRequireDefault(require("../QtQuick"));

var _QtQuickControls = _interopRequireDefault(require("../QtQuickControls2"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Rectangle = _QtQuick.default.Rectangle,
    Column = _QtQuick.default.Column,
    Text = _QtQuick.default.Text;
var ScrollView = _QtQuickControls.default.ScrollView;

var RedBox = function RedBox(_ref) {
  var error = _ref.error,
      errorInfo = _ref.errorInfo,
      _ref$enableStacktrace = _ref.enableStacktrace,
      enableStacktrace = _ref$enableStacktrace === void 0 ? false : _ref$enableStacktrace;
  return _react.default.createElement(Rectangle, {
    color: "#BD2619",
    anchors: {
      fill: 'parent'
    }
  }, _react.default.createElement(ScrollView, null, _react.default.createElement(Column, {
    spacing: 10,
    padding: 32
  }, _react.default.createElement(Text, {
    text: qsTr('Error'),
    color: "white",
    font: {
      family: 'Roboto',
      pointSize: 14,
      capitalization: 'AllUppercase',
      letterSpacing: 1.5,
      wordSpacing: 5
    },
    Layout: {
      fillWidth: true
    }
  }), _react.default.createElement(Text, {
    text: error.toString(),
    color: "white",
    font: {
      family: 'Roboto',
      pointSize: 12
    },
    Layout: {
      fillWidth: true
    }
  }), _react.default.createElement(Text, {
    text: errorInfo.componentStack,
    color: "white",
    font: {
      family: 'Roboto',
      pointSize: 12
    },
    Layout: {
      fillWidth: true
    }
  }), _react.default.createElement(Text, {
    text: qsTr('Stacktrace'),
    visible: enableStacktrace,
    color: "white",
    font: {
      family: 'Roboto',
      pointSize: 14,
      capitalization: 'AllUppercase',
      letterSpacing: 1.5,
      wordSpacing: 5
    },
    Layout: {
      fillWidth: true
    }
  }), _react.default.createElement(Text, {
    text: error.stack,
    visible: enableStacktrace,
    color: "white",
    font: {
      family: 'Roboto',
      pointSize: 12
    },
    Layout: {
      fillWidth: true
    }
  }))));
};

var _default = RedBox;
exports.default = _default;