import React from 'react';
import { QQuickWindow, QWindow_Visibility } from '../../QtQuickWindow';
import { QQuickCloseEvent } from '../../QtQuick';
declare type Props = {
    forwardedRef?: any;
    visible?: boolean;
    onClosing?: (ev: QQuickCloseEvent) => void;
    visibility?: QWindow_Visibility | string;
} & {
    [key: string]: any;
};
declare const Window: React.ForwardRefExoticComponent<Pick<Props, string | number> & React.RefAttributes<QQuickWindow>>;
export default Window;
