import React from 'react';
import createQmlComponent from './createQmlComponent';
import createRawQmlComponent from './createRawQmlComponent';
export declare type RenderCallback = () => void | null | undefined;
declare const render: (element: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>, renderDom: Qml.QmlObject, callback?: RenderCallback | undefined) => Qml.QmlElement | React.Component<any, any, any> | null;
export { render, createQmlComponent, createRawQmlComponent };
declare const _default: {
    render: (element: React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>, renderDom: Qml.QmlObject, callback?: RenderCallback | undefined) => Qml.QmlElement | React.Component<any, any, any> | null;
    createQmlComponent: (source: string, name: string, metadata?: {
        defaultProp: string;
    }) => React.ForwardRefExoticComponent<{
        forwardedRef: React.RefObject<any>;
    } & React.RefAttributes<{}>>;
    createRawQmlComponent: (rawContent: string, name: string, metadata?: {
        defaultProp: string;
    }) => string;
};
export default _default;
